1999-06-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 16.

	* lisp/gnus-sum.el (gnus-article-sort-by-author): Bug fix - use the
	car of the return value of `mime-read-field'.

1999-05-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 15.

	* texi/gnus.texi (Customizing Articles): Abolish the treatment
	variable `nomime' and rename
	`gnus-treat-decode-message-body-as-default-mime-charset' with
	`gnus-treat-decode-article-as-default-mime-charset'.

	* lisp/gnus-art.el (gnus-treat-predicate): Abolish the treatment
	variable `nomime'.
	(gnus-article-prepare-mime-display): Call `gnus-treat-article' with
	the 1st arg t for treating if the part is not the last one.
	(gnus-article-decode-article-as-default-mime-charset): Renamed from
	`gnus-article-decode-message-body-as-default-mime-charset'; Don't
	work if `gnus-show-mime' is non-nil.
	(gnus-treat-decode-article-as-default-mime-charset): Renamed from
	`gnus-treat-decode-message-body-as-default-mime-charset'; add
	choice item for decoding the whole article.

1999-05-28  Yoshiki Hayashi <g740685@komaba.ecc.u-tokyo.ac.jp>

	* lisp/message.el (message-header-hook): Pass optional argument
	code-conversion.

1999-05-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 14.

	* lisp/gnus-art.el (gnus-article-prepare-display): Narrow to
	header with trailing newline instead of the use of
	`std11-narrow-to-header'.
	(article-date-ut): Use `text-property-any' instead of
	`next-single-property-change'.
	(article-toggle-headers): Use `text-property-any' and
	`text-property-not-all' instead of `get-text-property' or
	`next-single-property-change'; use `gnus-hidden-properties' instead
	of the property `invisible' with the function `add-text-properties'
	or `remove-text-properties'; use `article-hide-headers' instead of
	`gnus-article-maybe-hide-headers'; re-display X-Face image under
	XEmacs after sorting fields.

1999-05-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 13.
	(TopLevel): Autoload "gnus-art" for `gnus-article-toggle-headers'.

	* texi/gnus.texi, texi/gnus-ja.texi (Article Hiding): Replace
	`gnus-article-hide-headers' with `gnus-article-toggle-headers'.

	* lisp/gnus-sum.el (gnus-summary-article-menu,
	gnus-summary-wash-hide-map, gnus-summary-wash-map,
	gnus-summary-mode-map): Use `gnus-article-toggle-headers' instead
	of `gnus-article-hide-headers'.

	* lisp/gnus-msg.el (gnus-copy-article-buffer): Remove bitmap images
	with text property `x-face-mule-bitmap-image';
	don't bind `inhibit-read-only'.

	* lisp/gnus-art.el (gnus-article-display-x-face-with-x-face-mule):
	Do nothing if `window-system' is nil.
	(gnus-article-decode-message-body-as-default-mime-charset): Don't
	bind `buffer-read-only'; decode from (point-min) instead of (point).
	(gnus-article-prepare-display): Bind `inhibit-read-only' to t; bind
	`buffer-read-only' to nil; don't bind
	`mime-preview-over-to-next-method-alist';
	strip read-only properties after preparing.
	(gnus-article-prepare-mime-display): Put text property
	`article-treated-header' to the header; don't use
	`mime-preview-move-to-next'; reduce a number of bound variables.
	(gnus-article-display-traditional-message): Don't bind
	`inhibit-read-only'.
	(gnus-article-make-menu-bar): Use `gnus-article-toggle-headers'
	instead of `gnus-article-hide-headers'.
	(article-toggle-headers): New function.

1999-05-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 12.

	* texi/gnus.texi (Customizing Articles): Remove duplicates; add the
	function `gnus-treat-decode-message-body-as-default-mime-charset'.

	* lisp/gnus-msg.el (gnus-copy-article-buffer): Bind
	`inhibit-read-only' to t during modifying the destination buffer.

	* lisp/gnus-art.el (gnus-article-prepare-mime-display): Rewrite.
	(article-date-ut): If there is a forwarded message, fetch Date from
	its header instead of `gnus-current-headers'.
	(gnus-article-display-x-face-with-x-face-mule): New function.
	(TopLevel): Autoload "x-face-mule" for the function
	`x-face-mule-x-face-decode-message-header'.
	(gnus-treatment-function-alist): Remove duplicates.

1999-05-21  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 11.

	* lisp/gnus-art.el (gnus-article-prepare-mime-display): Don't treat
	as a MIME message if the article is not so.
	(gnus-article-display-traditional-message): Bind
	`inhibit-read-only' to t.
	(article-hide-headers): Ditto.

1999-05-19  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 10.
	(gnus-article-display-hook): Default to nil; annotate that it is an
	obsolete variable.

	* texi/gnus.texi (Customizing Articles): Document the new treatment
	variables `mime' and `nomime'.

	* lisp/gnus-art.el (gnus-treat-predicate): Handle the new treatment
	variables `mime' and `nomime'.
	(gnus-article-decode-message-body-as-default-mime-charset): New
	function.
	(gnus-article-prepare-display): Rewrite for the use of
	`gnus-treat-article'.
	(gnus-article-prepare-mime-display): New function.
	(article-date-ut): Use `next-single-property-change' instead of
	re-search.
	(gnus-treatment-function-alist): Add a pair of
	`gnus-treat-decode-message-body-as-default-mime-charset' and
	`gnus-article-decode-message-body-as-default-mime-charset'.
	(gnus-treat-decode-message-body-as-default-mime-charset): New user
	option.

1999-05-19  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 09.

	* lisp/gnus-art.el (article-date-ut): Keep the original X-Sent
	field, fix the position of the converted date to be displayed,
	etc.

1999-05-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 08.

	* lisp/gnus-art.el (gnus-article-prepare-display): Undo the last
	change - don't call `gnus-treat-article'.

1999-05-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 07.

	* lisp/gnus-art.el (gnus-article-prepare-display): Call
	`gnus-treat-article'.

1999-05-17   Daiki Ueno  <daiki@kiss.kake.info.waseda.ac.jp>

	* lisp/gnus-art.el (article-date-ut): Always detete the last
	newline of any old Date fields.

1999-05-17   Daiki Ueno  <daiki@kiss.kake.info.waseda.ac.jp>
	     Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Increment to 06.

	* lisp/mail-source.el (mail-source-keyword-map): New keyword
	:connection for pop. It is introduced to enable SSL connection.
	(mail-source-fetch-pop): Use it to bind `pop3-connection-type'.

	* lisp/pop3.el : Add an autoload for `open-ssl-stream' defined in
	`ssl'.
	(pop3-connection-type, pop3-ssl-program-arguments): New variables.
	(pop3-open-ssl-stream-1, pop3-open-ssl-stream): New functions.
	(pop3-open-server): Call the latter when `pop3-connection-type' is
	ssl.

1999-05-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 05.
	(TopLevel): Remove autoloads for `gnus-picons-display-x-face' and
	`gnus-picons-article-display-x-face'.

1999-05-16  Tsukamoto Tetsuo   <czkmt@remus.dti.ne.jp>

	* texi/gnusref-ja.tex (subsec Notes): Complete words.
	(sec GroupMode): Translate description of "P".

1999-05-15  Tsukamoto Tetsuo   <czkmt@remus.dti.ne.jp>

	* texi/gnusref-ja.tex: Undo the last change.

1999-05-15  Tsukamoto Tetsuo   <czkmt@remus.dti.ne.jp>

	* texi/gnusref-ja.tex: Fix typo.

1999-05-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 04.

	* lisp/*.el: Undo all of the last changes.

1999-05-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 03.

	* lisp/nnsoup.el (nnsoup-store-reply): Use `forward-char' instead
	of `backward-char'.
	* lisp/message.el (message-send-news-with-gnus,
	message-send-mail-with-smtp, message-send-mail-with-qmail,
	message-send-mail-with-sendmail): Ditto.
	* lisp/gnus-picon.el (gnus-group-display-picons): Ditto.

	* lisp/nnsoup.el (nnsoup-store-reply): Use `(bolp)' instead of
	`(= (preceding-char) ?\n)'.
	* lisp/message.el (message-send-news, message-send-mail): Ditto.

	* lisp/gnus-sum.el (gnus-summary-reparent-thread): Use
	`(end-of-line 0)' to go to the end of the previous line.

	* lisp/nnmail.el (nnmail-decode-status): Don't use regexp search.
	* lisp/message.el (message-next-header, message-remove-header):
	Ditto.
	* lisp/gnus-art.el (gnus-article-add-buttons-to-head,
	gnus-article-highlight-headers, gnus-article-hide-header,
	article-hide-boring-headers, article-hide-headers): Ditto.

	* lisp/nntp.el (nntp-snarf-error-message, nntp-read-server-type):
	Use `buffer-substring' instead of `buffer-string'.
	* lisp/nnspool.el (nnspool-inews-sentinel): Ditto.
	* lisp/message.el (message-wash-subject, message-reply,
	message-make-from, message-make-organization): Ditto.
	* lisp/md5.el (md5): Ditto.
	* lisp/mail-source.el (mail-source-movemail): Ditto.
	* lisp/gnus.el (gnus-getenv-nntpserver): Ditto.
	* lisp/gnus-xmas.el (gnus-xmas-article-display-xface): Ditto.
	* lisp/gnus-util.el (gnus-mode-string-quote): Ditto.
	* lisp/gnus-sum.el (gnus-summary-edit-article-done,
	gnus-simplify-subject-fuzzy): Ditto.
	* lisp/gnus-spec.el (gnus-parse-simple-format): Ditto.
	* lisp/gnus-picon.el (gnus-picons-make-glyph): Ditto.
	* lisp/gnus-msg.el (gnus-copy-article-buffer): Ditto.
	* lisp/gnus-mh.el (gnus-summary-save-in-folder): Ditto.
	* lisp/gnus-kill.el (gnus-kill-file-apply-buffer): Ditto.
	* lisp/gnus-art.el (gnus-article-mime-edit-exit,
	gnus-article-edit-exit): Ditto.
	* lisp/format-spec.el (format-spec): Ditto.
	* lisp/dgnushack.el (dgnushack-make-package): Ditto.
	* lisp/base64.el (base64-decode, base64-encode,
	base64-run-command-on-region): Ditto.

1999-05-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 02.

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): Don't specify
	the authentication scheme if `password' is selected.

1999-05-06  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 01.

	* texi/gnus-ja.texi: (gnus-summary-enter-digest-group): Change the
	key assignment "C-d" into "A D".
	(Article treatment): Document the new variable
	`gnus-article-date-lapsed-new-header'.

	* lisp/mail-source.el: Use the original source without any changes.

	* lisp/gnus-art.el (article-hide-headers): To work toggle hiding.

	* README.T-gnus: Update what is the latest T-gnus.

1999-05-04  Tatsuya Ichikawa   <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.064.
	(gnus-revision-number): Fresh start from 00.

	* Sync up with Pterodactyl Gnus v0.84.

1999-04-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 03.

	* lisp/gnus-vm.el (gnus-summary-save-in-vm): Use
	`vm-read-file-name' instead of `read-file-name'. This allows to use
	the optional sixth argument HISTORY for the various environments.
	(gnus-summary-save-article-vm): Ditto.
	(TopLevel): Autoload "vm" for the function `vm-read-file-name'.

1999-04-27  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 02.

	* lisp/gnus-vm.el (gnus-summary-save-in-vm): To read the name of
	FOLDER in the way of VM; give the value of `gnus-current-article'
	to the function `gnus-summary-select-article' if it is called non
	interactively.
	(gnus-summary-save-article-vm): Accept the optional 2nd arg FOLDER.
	If it is called interactively the name of FOLDER is read from the
	minibuffer; bind `mime-display-header-hook',
	`mime-display-text/plain-hook', `mime-text-decode-hook',
	`mime-view-define-keymap-hook' and `mime-view-mode-hook' to nil
	when the function `gnus-summary-save-article' is called.
	(gnus-summary-save-article-vm-count,
	gnus-summary-save-article-vm-folder): New internal variables.
	(gnus-vm-make-folder): Bind `mime-display-header-hook',
	`mime-display-text/plain-hook', `mime-text-decode-hook',
	`mime-view-define-keymap-hook' and `mime-view-mode-hook' to nil
	when the function `vm-mode' is called.
	(vm-use-toolbar, vm-primary-inbox, vm-folder-history,
	vm-folder-directory): Define variables for avoiding byte compile
	warning.
	(gnus-vm-inhibit-window-system): Abolish variable; don't require
	`win-vm'.
	(TopLevel): Don't autoload "vm" for the functions
	`vm-forward-message', `vm-reply' or `vm-mail'; don't require
	`sendmail', `message', `gnus' or `gnus-msg' but `gnus-art'.

1999-04-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 01.

	* lisp/pop3.el (pop3-munge-message-separator): Don't put the
	Content-Length field break into the other fields.

1999-04-18  Sin'ya Kanematsu <ksinya@quartz.ocn.ne.jp>

	* texi/gnus-ja.texi: Fix typo - `gnus-auto-expirable-newgroups' ->
	`gnus-auto-expirable-newsgroups'.

1999-04-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.063.
	(gnus-revision-number): Fresh start from 00.

	* Sync up with Pterodactyl Gnus v0.83.

1999-04-15  NAKAGAWA Tsuneo <yaemon@alles.or.jp>

	* REDME.semi.ja: Fix where the required packages are.

1999-04-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 09.

1999-04-13  Keiichi Suzuki  <keiichi@nanap.org>

	* lisp/gnus-sum.el (gnus-summary-move-article): Fix,
	`gnus-article-mark-lists' will be broken by side effect.

1999-04-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 08.

	* lisp/gnus-art.el (TopLevel): Remove symbol's function definition
	for `gnus-article-mime-decode-quoted-printable'.

1999-04-05  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 07.

1999-03-30  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Some fixes.

1999-03-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 06.

	* lisp/pop3.el (pop3-munge-message-separator): If a retrieved
	message has a illegal date field, use `(current-time)' instead.

1999-03-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-send): Kill `message-encoding-buffer'
	after sending.

1999-03-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-maybe-encode): Inherit the buffer local
	variable `mime-edit-pgp-processing' and call
	`mime-edit-pgp-enclose-buffer'.

1999-03-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 05.

	* lisp/gnus-art.el (gnus-article-display-mime-message): Set up the
	buffer local variable `default-mime-charset' of
	`gnus-article-buffer' before `mime-display-message' is called.

	* lisp/gnus-i18n.el (gnus-newsgroup-default-charset-alist): Be also
	matched with the group name which has a method name and/or a
	foreign server name.
	(gnus-set-summary-default-charset): Cancel the last change.

1999-03-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 04.

	* lisp/gnus-i18n.el (gnus-set-summary-default-charset): Strip
	method and foreign server name from the newsgroup name.

1999-03-22  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-popup-menu): Fix.

1999-03-22  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Increment to 03.

	* lisp/gnus-offline.el (gnus-offline-popup-menu): Modify so that
	the title of a popup menu is displayed under Emacs 19.34.
	(gnus-offline-define-menu-and-key): Rewrite the function to change
	the behavior of "Get new news" button, under XEmacs.

	* lisp/gnus-ofsetup.el: Modify for Semi-gnus 6.10.xx so that
	`pop3-fma-password' can be saved in .newsrc.eld.

	* README-offline.en: Update.
	* README-offline.ja: Ditto.

1999-03-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el  (gnus-revision-number): Increment to 02.

	* lisp/message.el (message-yank-original): Keep the existing
	references.

1999-03-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el  (gnus-revision-number): Increment to 01.
	(gnus-other-frame): Rewrite on the model of `toolbar-gnus'.
	(gnus-frame): New internal variable.
	(gnus-frame-properties): New user option.

1999-03-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.062.
	(gnus-revision-number): Fresh start from 00.

	* Sync up with Pterodactyl Gnus v0.80.

	* lisp/gnus-sum.el (gnus-summary-edit-article): Don't use
	`mime-to-mml' nor `mml-to-mime'.

1999-03-02  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 03.

	* lisp/gnus-sum.el (gnus-select-newsgroup): Examine cached articles
	with `gnus-cache-articles-in-group' if the current group is not
	a virtual group.
	(TopLevel): Autoload `gnus-cache-articles-in-group'

1999-03-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 02.

	* texi/gnus-ja.texi: Sync up with Semi-gnus 6.10.

	* lisp/dgnushack.el (dgnushack-install-package): Don't refer to
	`configure-package-path'. Use `early-packages', `late-packages' or
	`last-packages' instead.

1999-03-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 01.

	* lisp/message.el (messgage-inhibit-body-encoding): Default to t.
	(message-mode): Abolish `message-mime-attach-file' from doc
	string.
	(message-mode-map): Abolish `message-mime-attach-file' from
	`message-mode-menu'.

	* lisp/gnus-start.el (save-buffer-as-coding-system): Abolished. It
	is given in APEL 9.13 by now.

	* lisp/gnus-ems.el (gnus-decode-coding-string): Abolished.
	(gnus-encode-coding-string): Abolished.
	(gnus-mule-cite-add-face): Restored.
	(gnus-cite-add-face): Restored.

	* README.semi.ja: Note that APEL 9.13 or later is required.
	* README.semi: Ditto.
	* README.T-gnus: Ditto.

1999-02-27  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.061.
	(gnus-revision-number): Fresh start from 00.

	* Sync up with Pterodactyl Gnus v0.79.

1999-02-27  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.060.
	(gnus-revision-number): Fresh start from 00.

	* Sync up with Pterodactyl Gnus v0.78.

1999-02-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 05.

	* Makefile.in (add-info-suffix, remove-info-suffix): New targets.
	(package, install-package, package-ja, install-package-ja): Use
	them.
	(xinfo, xinfo-ja): Only build infos.

	* texi/Makefile.in (add-info-suffix): Chdir ../lisp first.

	* lisp/dgnushack.el (dgnushack-add-info-suffix-maybe): Chdir
	../texi first.
	(dgnushack-install-package): Don't refer to `package-path'; error
	if the package path does not found.
	(TopLevel): Don't define `gnus-revision-number',
	`gnus-version-number' and `package-path'.

1999-02-24  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* README.ichikawa : Removed.

	* README.T-gnus : Renamed from README.ichikawa
	                  Remove description about T-gnus 6.8.

1999-02-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 04.

	* Makefile.in (xinfo, xinfo-ja): Make add-info-suffix, formatting,
	and make remove-info-suffix.

	* texi/Makefile.in (.texi): Don't specify the output filename when
	makeinfo command is used.
	(add-info-suffix, remove-info-suffix): New targets.

	* lisp/dgnushack.el (dgnushack-add-info-suffix-maybe): New
	function. It will be used for adding ".info" suffix to @setfilename
	line in each .texi files.
	(dgnushack-texi-file-regexp): New constant.
	(dgnushack-info-file-regexp): Add ".info" suffix.

1999-02-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 03.

	* lisp/Makefile.in (all, total): Remove "auto-autoloads.el" and
	"custom-load.el" as well.

	* Makefile.in (xlick, xinfo, xinfo-ja): New targets.
	(install-package-ja, package-ja, install-package, package): Use
	them; use $XEMACS instead of $EMACS.
	(osome): Use $XEMACS instead of "xemacs21".
	(x): Ditto.
	(XEMACS): Use "xemacs" instead of "xemacs21" in default.

	* lisp/dgnushack.el (dgnushack-install-package): Remove extra files
	in destination lisp directory.
	(dgnushack-make-package): Don't generate "_pkg.el" file; don't
	remove "auto-autoloads.el*" files.
	(dgnushack-compile): Don't remove "_pkg.el" from the list.

1999-02-23  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 02.

	* lisp/mail-source.el (mail-source-fetch-pop): Fix typo in original
	source and merged it.

	* README.ichikawa: Update description about the latest T-gnus.

1999-02-22  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-art.el (gnus-narrow-to-page): Fix that "^L" do not work.

	* lisp/gnus.el (gnus-revision-number): Increment to 01.

1999-02-21  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/mail-source.el (mail-source-fetch-pop): Comment out
	postscript block - I don't know why it does not work.
	There is no Bug report from ding ML.

	* lisp/gnus.el (gnus-version-number): Update to 6.10.059.
	(gnus-revision-number): Fresh start from 00.

	* Sync up with Pterodactyl Gnus v0.77.

1999-02-18  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Increment to 09.

	* lisp/gnus-start.el (save-buffers-kill-emacs): Rewrite the
	advice. Call `gnus-offer-save-summaries'.

1999-02-18  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Increment to 08.

	* lisp/gnus-start.el (save-buffers-kill-emacs): Advice. Call
	`gnus-save-newsrc-file' before `save-some-buffers' is called.

	* README-offline.en: Update.

	* README-offline.ja: Fix typo.

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): Set
	`gnus-offline-hangup-program' and `gnus-offline-dialup-program' to
	nil when null string is given.

1999-02-18  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* texi/Makefile.in: Change to work on Windows environment and
	other platforms.

	* lisp/gnus.el (gnus-revision-number): Increment to 07.

1999-02-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-make-package): Fix typo.

1999-02-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 06.

	* Makefile.in (install-package-ja, package-ja, install-package,
	package): New targets.
	(PACKAGEDIR): New user option.

	* lisp/Makefile.in (install-package, package): New targets.
	(PACKAGEDIR): New user option.

	* lisp/dgnushack.el (dgnushack-install-package): New function.
	(dgnushack-make-package): New function.
	(dgnushack-info-file-regexp): New constant.
	(dgnushack-compile): Remove "_pkg.el" from the list.

	* configure: Regenerate by autoconf-2.13.

1999-02-17  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* aclocal.m4: install .el files to site-lisp/gnus instead of
	site-lisp.
	* Makefile.in: add new rule `all-ja'.

1999-02-15  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): Bug fix when
	using nnspool.

	* lisp/gnus.el (gnus-revision-number): Increment to 05.

1999-02-12  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Increment to 04.

	* lisp/read-passwd.el: Change location of (provide 'read-passwd)

	* lisp/gnus-offline.el: ditto.

1999-02-12   Hidekazu Nakamura <u90121@uis-inf.co.jp>

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): To work with APOP
	authentication scheme.

	* lisp/read-passwd..el (read-pw-set-mail-source-passwd-cache):
	Undo my change.

1999-02-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 03.

	* lisp/gnus-sum.el (gnus-summary-mode-map): Bound the command
	`gnus-article-hide-headers' to "t".

	* lisp/gnus-art.el (article-hide-headers): Show all headers when
	unhiding.

	* texi/gnus.texi: Fix latin chars.

1999-02-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 02.

	* texi/emacs-mime.texi: Fix latin chars.

1999-02-12  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Increment to 01.

	* lisp/gnus-sum.el (gnus-nov-parse-line): Use
	`nnheader-nov-read-message-id' instead of `nnheader-nov-field' or
	`nnheader-generate-fake-message-id'; use `(eobp)' instead of
	`(eq (char-after) ?\n)'.

1999-02-11  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.058.
	(gnus-revision-number): Fresh start from 00.

	* lisp/message.el (message-forward): Get back to the previous
	design.
	* lisp/gnus-msg.el (gnus-summary-mail-forward): Ditto.

	* lisp/mail-source.el (mail-source-fetch-pop): Ignore program and
	authentication scheme..

	* lisp/message.el (message-forward-start-separator): Restored.
	(message-forward-end-separator): Restored.
	(message-signature-before-forwarded-message): Restored.
	(message-included-forward-headers): Restored.

	* lisp/message.el (message-make-forward-subject): Use "(none)" if
	the original article has no subject.

	* Sync up with Pterodactyl Gnus v0.76.

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): Change for pGnus 0.76.

1999-02-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 08.

	* lisp/score-mode.el (gnus-score-edit-exit): Use
	`save-buffer-as-coding-system' instead of
	`write-region-as-coding-system'.
	* lisp/gnus-start.el (gnus-save-newsrc-file): Ditto.

	* lisp/gnus-start.el (save-buffer-as-coding-system): New function
	defined with `defun-maybe'. NOTE: It should be deleted in the
	future.

	* lisp/gnus-sum.el (TopLevel): Require `mime-play' when compile.

1999-02-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 07.

	* lisp/gnus-sum.el (gnus-mime-extract-message/rfc822): New
	implementation.

1999-02-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 06.

1999-02-08  Masatoshi Tsuchiya  <tsuchiya@pine.kuee.kyoto-u.ac.jp>

	* lisp/gnus-sum.el (gnus-articles-to-read): Use maximum number in
	default instead of `gnus-large-newsgroup'.

1999-02-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 05.

1999-02-08  Masatoshi Tsuchiya  <tsuchiya@pine.kuee.kyoto-u.ac.jp>,
            Katsumi Yamaoka   <yamaoka@jpl.org>,
            Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-sum.el (gnus-articles-to-read): If the number of
	unread articles is more than `gnus-large-newsgroup', use it in
	default instead of the maximum number.

1999-02-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>,
            Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-mime-extract-multipart): New function;
	add it to the acting-condition for extracting mulitpart messages.
	(gnus-mime-extract-message/rfc822): New function; add it to the
	acting-condition for extracting message/rfc822 or message/news.

1999-02-08  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Increment to 04.

	* lisp/nntp.el: Change nnmail-read-passwd -> mail-source-read-passwd.

1999-02-08  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* README-offline.ja: Change for current version.
	* README-offline.en: Ditto.

1999-02-07  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Increment to 03.

1999-02-04  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el: Delete security notice.
	(gnus-offline-pop-password-file): Removed.
	(gnus-offline-pop-password-decoding-function): Removed.
	(gnus-offline-gnus-get-new-news): Revert to its original.

1999-02-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-revision-number): Increment to 02.

1999-02-04  YOSHIZAWA Masahiro <manbou@ceres.dti.ne.jp>

	* README-offline.en: New description.
	* README-offline.ja: Ditto.

1999-02-03  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-revision-number): Change to 01

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): Add default value.

1999-02-03  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-revision-number): New constant.

1999-02-02  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): Ask save password
	information to .newsrc file.

	* lisp/gnus.el (gnus-variable-list): Undo my last change.

	* lisp/read-password.el (read-pw-set-mail-source-passwd-cache): Do
	not input password if mail-source-password-cache is non nil.

1999-02-03   Hidekazu Nakamura <u90121@uis-inf.co.jp>

	* lisp/read-passwd.el (read-pw-set-mail-source-passwd-cache): To
	work with APOP authentication scheme.

1999-02-02  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): To work with
	external movemail program.

	* lisp/gnus.el (gnus-variable-list): Add
	mail-source-password-cache to save password information.

1999-02-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.057.

	* Sync up with Pterodactyl Gnus v0.75.

1999-02-01  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-gnus-get-new-news): Undo my
	change.

1999-02-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-offline.el (gnus-offline-define-menu-on-miee): Close
	parentheses.
	(gnus-offline-define-menu-on-agent): Ditto.

1999-02-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README.ichikawa: Fix about the last version of T-gnus based on
	Gnus 5.6.

1999-02-01  Akihiro Arisawa   <ari@mei9.advantest.co.jp>

	* lisp/nndoc.el (nndoc-mime-digest-type-p): Add the element of
	`header-begin' to type-alist for mime-digest.

1999-02-01  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* README-offline.ja: Add description written by YOSHIZAWA Masahiro
	<manbou@ceres.dti.ne.jp>

1999-02-01  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>
            Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-gnus-get-new-news): Modify for
	pGnus with mail-source.el.

	* lisp/gnus-offline.el: Use (running-pterodactyl-gnus-0_73-or-later)
        to check pGnus 0.73 or later instead of (locate-library "mail-source")

1999-02-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nndoc.el (nndoc-mime-parts-type-p): Strip leading white
	space from the matching pattern.

1999-02-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-nov-parse-extra): Abolished.
	(gnus-nov-parse-line): Use `char-after' instead of `following-char'
	; use `nnheader-nov-parse-extra' instead of `gnus-nov-parse-extra'.

1999-01-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-sum.el: Abolish macro `gnus-nov-read-integer',
	`gnus-nov-skip-field' and `gnus-nov-field'.
	(gnus-nov-parse-line): Use `nnheader-nov-field' and
	`nnheader-nov-read-integer' instead of `gnus-nov-field' and
	`gnus-nov-read-integer'.
	(gnus-get-newsgroup-headers-xover): Use
	`gnus-retrieve-parsed-headers'.

	* lisp/gnus-cache.el (gnus-cache-retrieve-parsed-headers): Use
	`gnus-cache-braid-headers',
	`nnheader-get-newsgroup-headers-xover*' and
	`nnheader-retrieve-headers-from-directory*' instead of
	`gnus-get-newsgroup-headers-xover', `gnus-cache-braid-parsed-nov'
	nor `gnus-cache-braid-parsed-heads'; abolish function
	`gnus-cache-braid-parsed-nov' and `gnus-cache-braid-parsed-nov'.
	(gnus-cache-braid-headers): New function.

	* lisp/nnheader.el (nnheader-nov-read-integer): Use
	`(search-forward "\t" eol 'move)' instead of `(forward-char 1)' as
	same as `gnus-nov-read-integer'.
	(nnheader-retrieve-headers-from-directory*): New function.
	(nnheader-retrieve-headers-from-directory): Use
	`nnheader-retrieve-headers-from-directory*'.
	(nnheader-get-newsgroup-headers-xover*): New function.

1999-01-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnmh.el (nnmh-retrieve-parsed-headers): Use
	`nnheader-retrieve-headers-from-directory'.

	* lisp/nnheader.el (nnheader-retrieve-headers-from-directory): New
	function.

1999-01-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version): Modify for SEMI 1.13.

	* lisp/gnus-int.el (gnus-retrieve-parsed-headers): Use
	`gnus-cache-retrieve-parsed-headers' instead of
	`gnus-cache-retrieve-headers'.

	* lisp/gnus-cache.el (gnus-cache-retrieve-parsed-headers): New
	function.
	(gnus-cache-braid-parsed-nov): New function.
	(gnus-cache-braid-parsed-heads): New function.

1999-01-30  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: Rewrite to work with pGnus v0.74 based T-gnus.
	* lisp/gnus-ofsetup.el: Ditto.

	* lisp/pop3-fma.el: Removed because after pGnus0.73 , pGnus can treat
	multiple pop3 account.

1999-01-29  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/read-passwd.el: New file.

1999-01-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (running-pterodactyl-gnus-0_73-or-later): Provide as
	a new feature.

	* lisp/mail-source.el (mail-source-read-passwd): Don't load
	"passwd" if the function `read-passwd' already exists.

	* lisp/gnus-start.el (gnus-read-active-file): Eliminate duplicated
	select methods.

	* lisp/gnus-group.el (gnus-group-catchup-current): Fix typo.

1999-01-27  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.056.

	* Sync up with Pterodactyl Gnus v0.74.

1999-01-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-summary-mail-digest): Reselect the message
	frame after selecting a new article if the value of
	`message-use-multi-frames' is non-nil and more than one articles
	are given.

1999-01-28  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-sum.el (gnus-summary-move-article): Fix, could not
	respool article.

1999-01-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnmh.el (nnmh-retrieve-parsed-headers): Bind `in-reply-to'
	and `cur' as temporary variables.

1999-01-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-sum.el (gnus-article-sort-by-author): fixed.

1999-01-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-int.el (gnus-retrieve-parsed-headers): Add new
	optional arguments `dependencies' and `force-new'; new
	implementation; call `retrieve-parsed-headers' if it is found.

	* lisp/nnmh.el (nnmh-retrieve-parsed-headers): New function.

1999-01-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-sum.el (gnus-select-newsgroup): Use
	`gnus-retrieve-parsed-headers' instead of `gnus-retrieve-headers'
	and `gnus-get-newsgroup-headers-xover' or
	`gnus-get-newsgroup-headers'.

	* lisp/gnus-int.el (gnus-retrieve-parsed-headers): New function.

1999-01-26  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el: Add security notice.

1999-01-25  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* README-offline.ja: New file - Variable and command description
	for gnus-offline(Japanese edition).
	* README-offline.en: New file - Ditto (English edition).

1999-01-25  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-pop-password-file): New
	variable.
	(gnus-offline-pop-password-decoding-function): New variable.
	(gnus-offline-get-new-news): When `gnus-offline-pop-password-file'
	is non-nil, get one's password information from a file specified
	by this variable, and don't store the passwords as a variable.
	* lisp/smiley.el (smiley-buffer): Avoid a few duplicate
	translations.

1999-01-23  Kiyokazu SUTO  <suto@merry.xmath.ous.ac.jp>

	* lisp/gnus-msg.el (gnus-inews-yank-articles): Use
	`message-list-references' for gathering IDs from yanked articles.

	* lisp/message.el (message-list-references): New function.
	(message-yank-original): Use it for gathering IDs from a yanked
	article.

1999-01-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-reply): Get the references from
	`In-Reply-To' field if there were no references and `In-Reply-To'
	field looks promising.
	(message-yank-original): Try to fetch ID from `In-Reply-To' field
	if `References' field does not exist.
	(message-yank-original): Use `std11-narrow-to-header' instead of
	`message-narrow-to-head'.

1999-01-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-inews-yank-articles): Fetch IDs from
	`gnus-current-headers' instead of article header.

1999-01-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-inews-yank-articles): Save the beginning
	position of the yanked articles -- apologize to SUTO-san, it has
	been supported in his original code, but I didn't.

	* lisp/message.el: Replace line endings from `CRLF' to `LF'.

1999-01-21  Hiroaki Matsui <matu@uxd.fc.nec.co.jp>

	* lisp/message.el : Fix typo.

1999-01-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-yank-original): If
	`message-yank-add-new-references' is non-nil and this command is
	called interactively, new IDs from the yanked article will be added
	to `References' field.
	(message-yank-add-new-references): New user option.
	(message-header-format-alist): Use `message-shorten-references' for
	`References' in default.

1999-01-20  Kiyokazu SUTO  <suto@merry.xmath.ous.ac.jp>,
            Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-inews-yank-articles): Replace `References'
	field with the gathered Message-IDs and References if more than one
	articles are given.

1999-01-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-inews-yank-articles): Reselect the message
	frame after selecting a new article if the value of
	`message-use-multi-frames' is non-nil and more than one articles
	are given.

1999-01-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.055.

	* Sync up with Pterodactyl Gnus v0.72.

1999-01-19  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README.semi.ja: Add keiichi and nana-gnus to the branches info.
	Modify the directory name for the daily snapshots.
	* README.semi: Ditto.

	* README.branch.ja: Modified for Semi-gnus 6.10, etc.
	* README.branch: Ditto.

1999-01-19  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-reply): Cancel the last change.
	(message-followup): Cancel the last change.
	(message-wide-reply): Cancel the last change.

	* lisp/gnus-msg.el (gnus-summary-gather-references): Abolished.
	(gnus-summary-reply): Cancel the last change.
	(gnus-post-news): Cancel the last change.

1999-01-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-move-article): Don't copy
	expirable marks if the destination group is not expirable.

1999-01-16  Kiyokazu SUTO  <suto@merry.xmath.ous.ac.jp>

	* lisp/message.el (message-reply): Accept references as a new
	optional arg.
	(message-followup): Ditto.
	(message-wide-reply): Ditto.

	* lisp/gnus-msg.el (gnus-summary-gather-references): New function.
	(gnus-summary-reply): Use it
	(gnus-post-news): Use it.

1999-01-16  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.054.

	* Sync up with Pterodactyl Gnus v0.71.

1999-01-16  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.053.

	* Sync up with Pterodactyl Gnus v0.70.

1999-01-13  Kiyokazu SUTO  <suto@merry.xmath.ous.ac.jp>

	* lisp/nnspool.el (nnspool-retrieve-headers): Protect against empty
	body.

1999-01-13  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: Add Tsukamoto Tetsuo
	<czkmt@remus.dti.ne.jp> to author and maintainer.

1999-01-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnmail.el (nnmail-article-group): Don't infloop.

1999-01-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* TODO.ja: Modified for Cancel-Lock feature.

	* lisp/nntp.el (nntp-request-post): Put a Message-ID generated by
	server if it does not exist in the article.
	(nntp-request-post): Run `nntp-prepare-post-hook'.
	(nntp-async-trigger): Save a response from the server in
	`nntp-process-response' after sending a command.
	(nntp-wait-for): Ditto.
	(nntp-prepare-post-hook): New hook, run just before posting an
	article.

	* lisp/nnheader.el (nnheader-init-server-buffer): Make
	`nntp-process-response' be buffer-local in `nntp-server-buffer'.
	(nntp-process-response): New variable, used for holding a response
	from the server after sending a command.

1999-01-11  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/message.el (message-draft-coding-system): Don't Call
	`coding-system-p'. Find its default value using
	`find-coding-system' instead.

1999-01-11  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/pop3.el (pop3-munge-message-separator): Use
	`parse-time-string'.

	* lisp/gnus-vm.el (gnus-summary-save-in-vm): Save window config,
	select the article before saving.

1999-01-09  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-popup-menu): Bug fix -- Use
	`gnus-offline-menu-on-agent' if `miee-popup-menu' does not exist.

1999-01-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/pop3.el (pop3-last): Use `split-string' instead of
	`pop3-string-to-list'.
	(pop3-stat): Ditto.
	(pop3-munge-message-separator): Ditto.
	(pop3-string-to-list): Abolished.

1999-01-06  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-setup): Don't call
	`gnus-offline-agent-expire' when 'gnus-agent-expire-all' is
	non-nil.
	(gnus-offline-define-menu-on-miee): Call `easy-menu-add' under
	XEmacs.
	(gnus-offline-popup-menu): New function.
	(gnus-offline-define-menu-and-key): Call it under Emacs to create
	a popup menu in the group buffer.

1999-01-04  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.052.

	* Sync up with Pterodactyl Gnus v0.69.

1998-12-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-preview-mime-message): Always
	select the article before previewing. Abolish prefix arg.

	* lisp/gnus-art.el (gnus-mime-preview-quitting-method): re-select
	the article without reservation.
	(gnus-article-display-mime-message): Show all headers if
	`gnus-have-all-headers' the local var of summary buffer is non-nil.

1998-12-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-check-buffer): Rewrite (checking
	for buffer object).

1998-12-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (mime-preview-over-to-next-method-alist): Use
	`gnus-summary-next-article' in `gnus-original-article-mode'.
	(mime-preview-over-to-previous-method-alist): Use
	`gnus-summary-prev-article' in `gnus-original-article-mode'.

1998-12-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-bbdb.el (toplevel): Define `bbdb-pop-up-elided-display'
	for avoiding byte-compile warning.

	* lisp/gnus-art.el (gnus-article-mode-map): Define almost undefined
	keys to `gnus-article-read-summary-keys'.
	(gnus-article-check-buffer): Check for a major-mode in
	`gnus-original-article-buffer' as well.
	(gnus-article-prepare-display): Set `gnus-article-current-summary'
	to `gnus-summary-buffer'.

1998-12-21  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/pop3-fma.el (pop3-fma-movemail): Work with movemail.exe
	with APOP extention.

1998-12-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-start.el (gnus-read-newsrc-el-file): Bug (referring to
	unbounded variable) fix.

1998-12-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-start.el (gnus-read-newsrc-el-file): Don't load newsrc
	file if it does not exist.

1998-12-16  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: (gnus-offline-define-menu-on-miee)
	(gnus-offline-define-menu-on-agent): Use Japanized menu when using
	under Meadow.

1998-12-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.051.

	* Sync up with Pterodactyl Gnus v0.68.

1998-12-14  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-define-menu-on-miee): Bug
	fix.

1998-12-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnheader.el (nnheader-find-file-noselect): Call
	`find-file-noselect-as-coding-system' with CODING-SYSTEM as the
	1st arg.

	* lisp/gnus-score.el (gnus-score-load-score-alist): Call
	`insert-file-contents-as-coding-system' with CODING-SYSTEM as the
	1st arg.
	* lisp/nnmail.el (nnmail-find-file): Ditto.
	* lisp/nnheader.el (nnheader-insert-file-contents): Ditto.

	* lisp/score-mode.el (gnus-score-edit-exit): Call
	`write-region-as-coding-system' as the 1st arg.
	* lisp/gnus-start.el (gnus-save-newsrc-file): Ditto.

	* lisp/gnus-start.el (gnus-read-newsrc-el-file): Call
	`insert-file-contents-as-coding-system' with CODING-SYSTEM as the
	1st arg.

	* lisp/gnus-score.el (gnus-score-save): Call
	`gnus-write-buffer-as-coding-system' with CODING-SYSTEM as the 1st
	arg.
	* lisp/gnus-cache.el (gnus-cache-possibly-enter-article): Ditto.
	(gnus-cache-save-buffers): Ditto.

	* lisp/gnus-util.el (gnus-write-buffer-as-coding-system): Be
	CODING-SYSTEM the 1st arg.

	* lisp/nnmail.el (nnmail-write-region): Call
	`write-region-as-coding-system' as the 1st arg.
	* lisp/gnus-agent.el (gnus-agent-expire): Ditto.
	(gnus-agent-fetch-headers): Ditto.
	(gnus-agent-flush-cache): Ditto.
	(gnus-agent-fetch-articles): Ditto.
	(gnus-agent-save-history): Ditto.
	(gnus-agent-save-groups): Ditto.
	(gnus-agent-save-active): Ditto.

1998-12-14  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-define-menu-and-key): Bug
	fix.
	Overwrite the toolbar spec for gnus-group-mode, under XEmacs.

1998-12-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnheader.el (nnheader-find-file-noselect): Use
	`find-file-noselect-as-coding-system' (renamed from
	`find-file-noselect-as-specified-coding-system').

	* lisp/gnus-score.el (gnus-score-load-score-alist): Use
	`insert-file-contents-as-coding-system' (renamed from
	`insert-file-contents-as-specified-coding-system').
	* lisp/nnmail.el (nnmail-find-file): Ditto.
	* lisp/nnheader.el (nnheader-insert-file-contents): Ditto.

	* lisp/score-mode.el (gnus-score-edit-exit): Use
	`write-region-as-coding-system' (renamed from
	`write-region-as-specified-coding-system').
	* lisp/gnus-start.el (gnus-save-newsrc-file): Ditto.

	* lisp/gnus-start.el (gnus-read-newsrc-el-file): Use
	`insert-file-contents-as-coding-system' (renamed from
	`insert-file-contents-as-specified-coding-system').

	* lisp/gnus-score.el (gnus-score-save): Use
	`gnus-write-buffer-as-coding-system' (renamed from
	`gnus-write-buffer-as-specified-coding-system').
	* lisp/gnus-cache.el (gnus-cache-possibly-enter-article): Ditto.
	(gnus-cache-save-buffers): Ditto.

	* lisp/gnus-util.el (gnus-write-buffer-as-coding-system): Renamed
	from 'gnus-write-buffer-as-specified-coding-system'.

	* lisp/nnmail.el (nnmail-write-region): Use
	`write-region-as-coding-system' (renamed from
	`write-region-as-specified-coding-system').
	* lisp/gnus-agent.el (gnus-agent-expire): Ditto.
	(gnus-agent-fetch-headers): Ditto.
	(gnus-agent-flush-cache): Ditto.
	(gnus-agent-fetch-articles): Ditto.
	(gnus-agent-save-history): Ditto.
	(gnus-agent-save-groups): Ditto.
	(gnus-agent-save-active): Ditto.

1998-12-14  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-define-menu-on-miee): Bug
	fix.
	(gnus-offline-set-offline-sendmail-function): Bug fix.

1998-12-12  Hidekazu Nakamura <u90121@uis-inf.co.jp>

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): Bug fix.

1998-12-12  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-define-menu-on-miee): Bug
	fix.
	(gnus-offline-set-offline-sendmail-function): Bug fix.

1998-12-11  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-define-menu-on-miee): Change
	easy-menu-define to easy-menu-change to override miee menu.

1998-12-11  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnheader.el (nnheader-find-file-noselect): Call
	`find-file-noselect-as-specified-coding-system' directly.

1998-12-10  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-setup): Add
	gnus-offline-setup to gnus-group-mode-hook.
	(gnus-offline-set-offline-sendmail-function): Bug fix.

1998-12-10  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-define-menu-on-miee): Bug
	fix.
	(gnus-offline-define-menu-on-agent): Bug fix.

1998-12-10  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/pop3.el (pop3-movemail): Use `write-region-as-binary'
	instead of `append-to-file'.
	(pop3-movemail-file-coding-system): Abolished.

	* lisp/nnheader.el (nnheader-find-file-noselect): Use
	`find-file-noselect-as-specified-coding-system' instead of
	`find-file-noselect'.

	* lisp/gnus-score.el (gnus-score-load-score-alist): Use
	`insert-file-contents-as-specified-coding-system' instead of
	`insert-file-contents'.
	* lisp/nnmail.el (nnmail-find-file): Ditto.
	* lisp/nnheader.el (nnheader-insert-file-contents): Ditto.

	* lisp/message.el (message-send-mail-with-qmail): Enclose
	`call-process-region' with `as-binary-process'.
	(message-send-mail-with-sendmail): Ditto.
	(message-send-coding-system): Abolished.

	* lisp/score-mode.el (gnus-score-edit-exit): Emulate
	`save-buffer' with `write-region-as-specified-coding-system'.
	* lisp/gnus-start.el (gnus-save-newsrc-file): Ditto.

	* lisp/gnus-start.el (gnus-read-newsrc-el-file): Emulate `load'
	with `insert-file-contents-as-specified-coding-system' and
	`eval-region'.

	* lisp/gnus-score.el (gnus-score-save): Use
	`gnus-write-buffer-as-specified-coding-system' instead of
	`gnus-write-buffer'.
	* lisp/gnus-cache.el (gnus-cache-possibly-enter-article): Ditto.
	(gnus-cache-save-buffers): Ditto.

	* lisp/gnus-util.el (gnus-output-to-mail): Use
	`write-region-as-binary' instead of `append-to-file'.
	(gnus-output-to-mail): Use `gnus-write-buffer-as-binary' instead
	of `gnus-write-buffer'.
	(gnus-write-buffer-as-specified-coding-system): New function.
	(gnus-write-buffer-as-binary): New function.

	* lisp/nnmail.el (nnmail-write-region): Use
	`write-region-as-specified-coding-system' instead of
	`write-region'.
	* lisp/gnus-agent.el (gnus-agent-expire): Ditto.
	(gnus-agent-fetch-headers): Ditto.
	(gnus-agent-flush-cache): Ditto.
	(gnus-agent-fetch-articles): Ditto.
	(gnus-agent-save-history): Ditto.
	(gnus-agent-save-groups): Ditto.
	(gnus-agent-save-active): Ditto.

1998-12-10  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-after-jobs-done): Create menu
	using 'easymenu'.

1998-12-09  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-after-jobs-done): Don't call
	`gnus-offline-agent-expire' under XEmacs.

1998-12-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* texi/gnus-ja.texi: Fix latin chars.
	* texi/gnus.texi: Ditto.

	* texi/ChangeLog: Shrunk.

	* text/widget.texi: Removed.
	* texi/custom.texi: Removed.

	* lisp/ChangeLog: Fix latin chars.

	* lisp/pop3.el (pop3-open-server): Use
	`open-network-stream-as-binary' instead of `open-network-stream'.
	* lisp/nntp.el (nntp-open-network-stream): Ditto.
	* lisp/gnus-gl.el (bbb-connect-to-bbbd): Ditto.

	* lisp/nntp.el (nntp-open-rlogin): Enclose `start-process' with
	`as-binary-process'.
	(nntp-open-telnet): Ditto.

	* lisp/nntp.el (nntp-coding-system-for-write): Abolished.
	(nntp-coding-system-for-read): Abolished.

	* lisp/nndb.el: Don't require `tcp'.

1998-12-07  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-get-parameter-with-eval): Call
	`message-get-parameter' with arg `key' first.

1998-12-07  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.050.

	* Sync up with Pterodactyl Gnus 0.65.

1998-12-06  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/message.el (message-cite-original-without-signature): Do
	not use mml-quote-region.

	* lisp/message.el (message-cite-original): Ditto.

	* lisp/gnus.el (gnus-version-number): Update to 6.10.049.

	* Sync up with Pterodactyl Gnus 0.64.

1998-12-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-show-article): Don't use
	`mm-destroy-parts'.

1998-12-04  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.048.

	* Sync up with Pterodactyl Gnus 0.63.

1998-12-04  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.047.

	* Sync up with Pterodactyl Gnus 0.62.

	* README.ichikawa: Add description of required APEL/FLIM/SEMI.

1998-12-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nndraft.el (nndraft-request-article): Don't bind
	`nnmail-file-coding-system'.

1998-12-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.046.

	* Sync up with Pterodactyl Gnus 0.61.

1998-12-02  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/smtp.el: Abolished - Use smtp.el in FLIM.

	* lisp/gnus.el (gnus-version-number): Update to 6.10.045.

	* Sync up with Pterodactyl Gnus 0.59.

1998-12-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.044.

	* Sync up with Pterodactyl Gnus 0.58.

1998-12-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.043.

	* Sync up with Pterodactyl Gnus 0.57.

1998-11-30  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/base64.el (base64-decode-region): Use `defun-maybe'.
	(base64-encode-region): Ditto.

	* lisp/gnus.el (gnus-version-number): Update to 6.10.042.

	* Sync up with Pterodactyl Gnus 0.56.

1998-11-29  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: Fix typo of DOC string.

	* lisp/score-mode.el: Change default value
	score-mode-coding-system 'binary to 'ctext.

1998-11-28  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.041.

	* Sync up with Pterodactyl Gnus 0.55.

1998-11-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-summary-supersede-article): Bind
	`gnus-message-setup-hook' to minimum setting.

	* lisp/message.el (message-supersede-setup-for-mime-edit): New
	function.
	(message-supersede-setup-function): New user option. Use
	`message-supersede-setup-for-mime-edit' in default.
	(message-supersede): Call `message-supersede-setup-function' if it
	is non-nil.
	(message-supersede-setup-hook): New user option.

	* lisp/message.el (message-bounce-setup-for-mime-edit): Don't
	delete header separator. It is up to MIME-Edit to do so.

1998-11-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.040.

	* Sync up with Pterodactyl Gnus 0.54.

1998-11-24  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-version-number): Update to
	2.00.

	* lisp/pop3-fma.el (pop3-fma-save-password-information): New
	variable. Do not save password information when
	`pop3-fma-save-password-information' set to nil (in default).
	(pop3-fma-encode-string): abolished - because of difference of
	FLIM API.
	(pop3-fma-decode-string): Ditto.

1998-11-21  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.039.

	* Sync up with Pterodactyl Gnus 0.53.

	* lisp/pop3-fma.el (pop3-fma-init-message-hook): Change
	message-send-hook to mime-edit-translate-hook - enbug.

1998-11-20  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: Update to beta5.

	* lisp/gnus-ofsetup.el: Update to beta5.

	* lisp/gnus.el (gnus-version-number): Update to 6.10.038.

	* Sync up with Pterodactyl Gnus 0.52.

1998-11-19  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/message.el (message-get-reply-buffer): Abolished.
	(message-get-original-reply-buffer): Abolished.
	(message-get-parameter): New inline function.
	(message-get-parameter-with-eval): New macro.
	(message-fetch-reply-field): Do not use `message-get-reply-buffer'.
	(message-yank-original): Ditto.
	(message-setup): Use `message-get-parameter'.
	(message-mime-insert-article): Use
	`message-get-parameter-with-eval' instead of
	`message-get-original-reply-buffer'.

	* lisp/gnus-msg.el (gnus-inews-add-send-actions): Do not add
	`set-window-configuration' to action when
	`message-use-multi-frames' is non-`nil'.

1998-11-19  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.037.

	* Sync up with Pterodactyl Gnus 0.51.

	* lisp/gnus-ofsetup.el (gnus-setup-for-offline): Force set
	`use-miee' to t if `news-method' is equal to "nnspool".
	(gnus-setup-for-offline): Put a question for "Agent directory"
	only if `gnus-offline-news-fetch-method' is equal to `nnagent'.
	(Top-Level): Defvar `use-miee' for avoiding byte-compile warning.

1998-11-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-save-article-rmail): Use
	`gnus-summary-save-in-rmail' instead of
	`rmail-output-to-rmail-file'.

1998-11-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-mimic-kill-buffer): Rewrite.

1998-11-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.036.

	* Sync up with Pterodactyl Gnus 0.50.

1998-11-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-mimic-kill-buffer): New function.
	(message-mode-map): Use it for `C-x k'.

1998-11-18  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/message.el (message-dont-send): Use `message-delete-frame'.

1998-11-18  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.035.

	* Sync up with Pterodactyl Gnus 0.49.

1998-11-17  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/message.el (message-dont-send): Use `message-save-drafts'
	instead of `save-buffer'.

1998-11-17  Hiroaki Matsui  <matu@uxd.fc.nec.co.jp>

	* lisp/message.el (message-clone-locals): Add
	"user-mail-address" and "user-full-name" to matching pattern.

1998-11-14  Kenji Itoh  <keit@tpj.co.jp>

	* lisp/nnmail.el (nnmail-read-passwd): Use `read-passwd' if it
	exists as a function.

	* lisp/pop3.el (pop3-read-passwd): Ditto.

1998-11-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.034.
	(gnus-version): Modify for SEMI 1.11, FLIM 1.12.

1998-11-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* make.bat: Replace line endings from `LF' to `CRLF'.

1998-11-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.033.

	* Sync up with Pterodactyl Gnus 0.48.

1998-11-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* texi/emacs-mime.texi: Fix iso-8859-1 chars.

	* lisp/message.el (message-send-news): Call
	`message-maybe-split-and-send-news' with an arg `method'.
	(message-maybe-split-and-send-news): Accept an arg `method'.

	* lisp/rfc1843.el: Defvar `gnus-decode-encoded-word-function'.

	* lisp/mm-uu.el: Require `gnus-mailcap'.
	* lisp/mm-decode.el: Require `gnus-mailcap' instead of `mailcap'.
	* lisp/mm-encode.el: Ditto.
	* lisp/gnus-mailcap.el: Provide `gnus-mailcap' instead of `mailcap'.

1998-11-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.032.

	* Sync up with Pterodactyl Gnus 0.47.

1998-11-15  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.031.

	* Sync up with Pterodactyl Gnus 0.46.

1998-11-14  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.030.

	* Sync up with Pterodactyl Gnus 0.44.

1998-11-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-header-presentation-method): Use
	`mime-insert-header' instead of `mime-insert-decoded-header'.

	* lisp/nnheader.el (nnheader-decode-subject): Change the 2nd arg of
	`mime-find-field-decoder' to 'nov'.
	(nnheader-decode-from): Ditto.

	* lisp/message.el (message-maybe-split-and-send-mail): Discard
	a return from `message-send-mail-function'.

1998-11-12  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: bug fix.

	* lisp/gnus-ofsetup.el: Bug fix.

1998-11-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* texi/Makefile.in (.texi:): Don't escape double quote.
	(texi2latex.elc:): Ditto.

1998-11-12  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* texi/gnus-ja.texi: Add infos about `pop3-fma' and `gnus-offline'.

1998-11-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-maybe-split-and-send-mail): Use
	`defsubst' instead of `defun'.
	(message-maybe-split-and-send-news): Ditto.

1998-11-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-summary-resend-bounced-mail): Bind
	`gnus-message-setup-hook' to minimum setting.

	* lisp/message.el (message-bounce-setup-for-mime-edit): New
	function.
	(message-bounce-setup-function): New user option. Use
	`message-bounce-setup-for-mime-edit' in default.
	(message-bounce): Call `message-bounce-setup-function' if it is
	non-nil.
	(message-bounce-setup-hook): New user option.
	(message-send-mail): Delete useless things.

1998-11-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-maybe-split-and-send-mail): New function.
	(message-send-mail): Use it.
	(message-maybe-split-and-send-news): New function.
	(message-send-news): Use it.

1998-11-11  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: bug fix.

	* lisp/gnus-ofsetup.el: Bug fix.

1998-11-11  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-send-mail): Protect against errors.
	(message-send-news): Ditto.

1998-11-11  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/message.el (message-do-fcc): Sync up with Semi-gnus 6.8.
	(message-8bit-encoding-list): New variable.
	(message-check-encoding): Use `message-8bit-encoding-list'. Change
	search pattern.

1998-11-11  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-bbdb.el (gnus-bbdb/extract-address-components): Normalize
	return value.
	(gnus-bbdb/update-record): Change condition for checking own message.

1998-11-11  Yoshiki Hayashi  <g740685@komaba.ecc.u-tokyo.ac.jp>

	* README.semi.ja, README.branch.ja: New file.

1998-11-10  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: bug fix.

	* lisp/gnus-ofsetup.el: Bug fix.

1998-11-09  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el: v2.00b1 Separate setting part and
	functional part - setting part move to gnus-ofsetup.el (New file).

	* lisp/gnus-ofsetup.el: New file - setting function for
	gnus-offline.

1998-11-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnheader.el (nnheader-decode-subject): Call
	`mime-find-field-decoder' with `summary' as the 2nd arg.
	(nnheader-decode-from): Ditto.

1998-11-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/pop3-fma.el: Set the value of `nnmail-read-passwd' as a
	symbol `pop3-fma-read-passwd'.

1998-11-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.029.

	* Sync up with Pterodactyl Gnus 0.42.

1998-11-09  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.028.

	* Sync up with Pterodactyl Gnus 0.41.

1998-11-06  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-make-full-mail-header): New
	function.
	(gnus-article-mime-edit-article-setup): Use it.
	(gnus-article-mime-edit-exit): Use it.

	(gnus-article-mime-edit-article-setup): Set `gnus-show-mime' to t.

	* lisp/gnus-bbdb.el: Modify header description.

1998-11-05  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-edit-done): Remove
	`gnus-article-mime-edit-article-unwind' from
	`gnus-article-mode-hook' before run `gnus-article-edit-exit'.
	(gnus-article-mime-edit-article-setup): Revised.
	(gnus-article-mime-edit-article-unwind): New function.
	(gnus-article-mime-edit-exit): New function.

	(gnus-insert-mime-button): Fix typo.

1998-11-04  Yoshiki Hayashi  <g740685@komaba.ecc.u-tokyo.ac.jp>

	* lisp/message.el: (message-do-fcc): Don't run message-header-hook
	and message-before-do-fcc-hook.

1998-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/mmgnus.el (entity-buffer): Must move to (point-min) before
	search boundary between header and body (to fix problem with
	Emacs).

1998-11-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnmh.el (nnmh-retrieve-headers): Don't use
	`nnheader-fold-continuation-lines'.

	* lisp/gnus-sum.el (gnus-get-newsgroup-headers): Don't expect
	unfolded (to fix problem when using gnus-cache).

1998-11-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-make-in-reply-to): Quote date.

1998-11-02  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-bbdb.el (gnus-bbdb/canonicalize-full-name-methods):
	New variable. (Merged from `mime-bbdb.el' in SEMI.)
	(gnus-bbdb/extract-address-components): New function. (Merged from
	`mime-bbdb.el' in SEMI.)
	(gnus-bbdb/canonicalize-spaces): Ditto.
	(gnus-bbdb/canonicalize-dots): Ditto.
	(gnus-bbdb/update-record): Use
	`gnus-bbdb/extract-address-components'.
	(gnus-bbdb/lines-and-from): Ditto.
	(gnus-bbdb/summary-get-author): Ditto.
	(gnus-bbdb/summary-author-in-bbdb): Ditto.
	(gnus-bbeb/decode-field-body-function): New variable.
	(gnus-bbdb/decode-field-body): New macro.
	(gnus-bbdb/update-record): Use `gnus-bbdb/decode-field-body'.
	(gnus-bbdb/extract-field-value): Ditto.
	(gnus-bbdb/decode-field-body-function): Fix typo.
	(gnus-bbdb/decode-field-body): Ditto.
	(gnus-bbdb/update-record): Use `save-excursion' and change timing
	of `save-restriction'.

1998-10-31  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-draft.el (gnus-draft-decoding-function): Use
	`mime-edit-decode-message-in-buffer' instead of
	`mime-edit-decode-buffer'.

1998-10-31  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/nnheader.el (nnheader-decode-field-body): New inline
	function.

	* lisp/gnus-draft.el (gnus-draft-decoding-function): Use
	`mime-edit-decode-buffer' and `mime-decode-header-in-buffer'.

	* lisp/gnus-bbdb.el (gnus-bbdb/update-record): Use
	`nnheader-decode-field-body' instead of `mime-decode-field-body'.
	(gnus-bbdb/extract-field-value): Ditto.

1998-10-30  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-bbdb.el (gnus-bbdb/update-record): Check existance of
	`To' field before decoding.

1998-10-30  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README-gnus-bbdb.en: New file, translated by courtesy of
	Hiroshi Kawaguchi <taicho@shiba.sony.co.jp>.

1998-10-30  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-compile): Add `gnus-bbdb.el'.

	* lisp/gnus-bbdb.el: New file. By courtesy of Keiichi Suzuki.
	* README-gnus-bbdb.ja: Ditto (A part of Nana-TIPS.ja).

1998-10-30  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el: Add autoload setting for `gnus-offline' and
	`pop3-fma'.

1998-10-30  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (article-decode-encoded-words): Use
	`mime-decode-header-in-buffer' instead of `eword-decode-header'.
	(gnus-article-display-message-with-encoded-word): Likewise.

	* lisp/gnus-art.el (gnus-article-mime-edit-article-setup): Fix
	typo.

1998-10-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-draft.el (gnus-draft-decoding-function): Use
	`mime-edit-decode-buffer' simply as initial value.

	* lisp/message.el (message-make-forward-subject): Use
	`nnheader-decode-subject' instead of
	`eword-decode-unstructured-field-body'.

	* lisp/nnheader.el (nnheader-decode-subject): New alias.
	(nnheader-decode-from): New alias.
	(make-full-mail-header): Use `nnheader-decode-subject' and
	`nnheader-decode-from' instead of
	`eword-decode-and-unfold-unstructured-field' and
	`eword-decode-and-unfold-structured-field'.

1998-10-29  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-mime-edit-article-setup): Force
	`font-lock' to turn on at the beginning. Turn off `font-lock'
	after editing article.

1998-10-29  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-edit-article-done): Abolish
	`gnus-article-decoded-p'.

	* lisp/nnheader.el: Delete useless comments.

	* lisp/gnus-art.el (gnus-article-edit-article): Call
	`gnus-article-edit-article-setup-function' if it is non nil.
	(gnus-article-mime-edit-article-setup): New function.
	(gnus-article-mime-edit-article-setup-hook): New hook.
	(gnus-article-edit-article-setup-function): New user option. Use
	`gnus-article-mime-edit-article-setup' in default.

1998-10-28  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/pop3-fma.el: Determin base64 encode/decode function by FLIM.

1998-10-26  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/pop3-fma.el: Require `mel-b-el' if `mel-b' does not exist.

1998-10-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/pop3-fma.el: Require `mel-b-ccl' or `mel-b-el' if `mel-b'
	does not exist.

	* lisp/nnheader.el (nnheader-file-coding-system): Restore the
	previous default value.

1998-10-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.027.

	* Sync up with Pterodactyl Gnus 0.40.

1998-10-23  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.026.
	(gnus-version): Modify supported version for FLIM and SEMI.

1998-10-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-cache.el (gnus-cache-possibly-enter-article): Use
	`mime-fetch-field' for getting Subject and From field.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnheader.el (nnheader-insert-nov): Use `mime-fetch-field'
	for Subject and From field.

1998-10-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnheader.el (nnheader-parse-nov): Use
	`make-full-mail-header'.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnheader.el (nnheader-parse-head): Use
	`make-full-mail-header'.

1998-10-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnheader.el (make-full-mail-header): Sync up with
	"chao-6_9" branch.
	(mail-header-set-xref): Use `mime-entity-set-xref-internal'.
	(mail-header-xref): Use `mime-entity-xref-internal'
	(mail-header-set-lines): mime-entity-set-lines-internal'.
	(mail-header-lines): Use `mime-entity-lines-internal'
	(mail-header-set-chars): Use `mime-entity-set-chars-internal'.
	(mail-header-chars): Use `mime-entity-chars-internal'.
	(mail-header-set-references): Use
	`mime-entity-set-references-internal'.
	(mail-header-references): Use `mime-entity-references-internal'.
	(mail-header-set-message-id): Use
	`mime-entity-set-message-id-internal'.
	(mail-header-message-id): Use `mime-entity-message-id-internal'.
	(mail-header-set-date): Use `mime-entity-set-date-internal'.
	(mail-header-date): Use `mime-entity-date-internal'.
	(mail-header-set-from): Use
	`mime-entity-set-decoded-from-internal'.
	(mail-header-from): Use `mime-entity-decoded-from-internal'.
	(mail-header-set-subject): Use
	`mime-entity-set-decoded-subject-internal'.
	(mail-header-subject): Use `mime-entity-decoded-subject-internal'.
	All changes are imported from "chao-6_9" branch.

	* lisp/message.el (message-reply): Use
	`make-full-mail-header-from-decoded-header`.
	(message-followup): Ditto.
	(message-get-reply-buffer-function): Abolished.
	(message-fill-address): Don't fold if the current column number is
	less than 79.

	* lisp/gnus-sum.el (gnus-summary-insert-line): Use
	`gnus-put-text-property-excluding-characters-with-faces' instead
	of `gnus-put-text-property'.
	(gnus-summary-mode-map): Abolish key definition
	"b" for `gnus-article-view-part'.
	(gnus-encoded-word-method-alist): Abolished.
	(gnus-multi-decode-encoded-word-string) Abolished.

	* lisp/gnus-int.el (gnus-request-replace-article): Don't encode
	message body.

	* lisp/gnus-i18n.el (gnus-get-summary-default-charset): Abolished.
	(gnus-set-summary-default-charset): Sync up with "chao-6_9" branch.

	* lisp/gnus-art.el (gnus-article-display-method-for-encoded-word):
	Abolished.
	(gnus-article-display-message-with-encoded-word): Abolished.

1998-10-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-sum.el (gnus-summary-line-format-alist): Use
	`mime-read-field', `std11-address-string' and
	`std11-full-name-string' instead of
	`gnus-extract-address-components'.
	(gnus-article-sort-by-author): Likewise.

1998-10-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnheader.el (make-full-mail-header-from-decoded-header):
	New function.

1998-10-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-article-display-mime-message): Set up
	buffer local variable `default-mime-charset' of
	`gnus-original-article-buffer' and `gnus-article-buffer'.

1998-09-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnheader.el: Use `mime-entity' as gnus-header structure.
	(mail-header-number): Use `mime-entity-location-internal'.
	(mail-header-set-number): Use `mime-entity-set-location-internal'.
	- Change other `mail-header-*' and `mail-header-set-*' to alias of
	reference and set functions for mime-entity-internal.

	* lisp/mmgnus.el: New module.

	* lisp/gnus-sum.el: Abolish variable
	`gnus-structured-field-decoder' and
	`gnus-unstructured-field-decoder'.
	(gnus-nov-parse-line): Don't decode from and subject.
	(gnus-get-newsgroup-headers): Likewise.

	* lisp/gnus-score.el (gnus-header-index): Modify to use
	mime-entity structure as gnus-header structure.

	* lisp/gnus-art.el (gnus-article-prepare-display): Use content of
	`gnus-current-headers' as mime-message-structure.

1998-09-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-sum.el (gnus-update-summary-mark-positions): Use
	`make-full-mail-header'.

1997-11-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	(gnus-parse-headers-hook): Use
	`(gnus-set-summary-default-charset)' in default.


1998-10-21  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-xmas.el (gnus-tilde-pad-form): Guard for non string
	symbol.

1998-10-21  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.025.
	(gnus-version): Fix supported version for FLIM and SEMI.

	* Sync up with Pterodactyl Gnus 0.36.

1998-10-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.024.
	Fix supported version for FLIM and SEMI.

	* Sync up with Pterodactyl Gnus 0.35.

1998-10-17  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-setup-needed-hooks): Change
	message-send-hook to mime-edit-translate-hook.

	* lisp/pop3-fma.el (pop3-fma-init-message-hook): Change
	message-send-hook to mime-edit-translate-hook.

	* lisp/message.el (message-save-drafts): New function to save
	drafts in network code.

1998-10-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-message-setup-hook): Replace the default
	value to `gnus-maybe-setup-default-charset'.
	(gnus-maybe-setup-default-charset): New function. It is called
	`message-maybe-setup-default-charset' at one time.

	* lisp/message.el (message-maybe-setup-default-charset): Abolished.

1998-10-16  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* TODO.ja: Update.

1998-10-15  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-spec.el (gnus-update-format-specifications): Force
	update `gnus-format-specs' when `gnus-version' is differ from
	saved version.

1998-10-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/pop3-fma.el (pop3-fma-read-char-exclusive): New macro. Use
	`next-command-event' instead of `read-char-exclusive' under XEmacs.
	(pop3-fma-read-noecho): Use it.

1998-10-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nnheaderxm.el (nnheader-xmas-Y-or-n-p): New function.
	It will be used for the substitute of `nnheader-Y-or-n-p' under
	XEmacs.

	* lisp/nnheader.el (nnheader-Y-or-n-p): Rewrite for Emacs 19 or
	later except for XEmacs.

1998-10-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/uudecode.el: New file.

1998-10-11  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.023.
	Add version information for SEMI-1.9/FLIM-1.10.

	* Sync up with Pterodactyl Gnus 0.34.

1998-10-10  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-message-make-user-agent): Fix typo in doc
	string.

1998-10-07  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* lisp/nnagent.el (nnagent-open-server): Small bug fix.

1998-10-07  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* TODO.ja: New file.

1998-10-06  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-mime-insert-article): Don't refer to
	`mark' position.

	* lisp/message.el (message-mime-insert-article): If the optional
	arg FULL-HEADERS is non-nil, include full headers when inserting.

1998-10-06  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/message.el (message-parameter-alist): New variable.
	(message-startup-parameter-alist):  New variable.
	(message-fetch-reply-field): Get reply buffer with
	`message-get-reply-buffer()'.
	(message-yank-original): Ditto.
	(message-eval-parameter): New function.
	(message-get-reply-buffer): Ditto.
	(message-get-original-reply-buffer): Ditto.
	(message-mode): New buffer local variable
	`message-parameter-alist'.
	(message-setup): Set up `message-reply-buffer' from
	`message-parameter-alist'.
	(message-mime-insert-article): Get `Original message buffer' with
	`message-get-original-reply-buffer' instead of
	`gnus-original-article-buffer'.
	Remove bogus header fields for forwarding message.

	* lisp/gnus-msg.el (gnus-setup-message): Setup
	`message-startup-parameter-alist'.

1998-10-05  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* lisp/gnus.el (gnus-info-filename): New variable.
	(gnus-info-find-node): Use `gnus-info-filename' and
	`current-language-environment'.

1998-10-05  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-send-mail): Remove misplaced
	`interactive'.

	* lisp/message.el (message-yank-original): Get back to the previous
	state.
	(message-fetch-reply-field): Ditto.
	(message-setup): Ditto.
	* lisp/gnus-msg.el (gnus-setup-message): Ditto.

1998-10-05  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-draft.el: Remove some useless comments.

	* lisp/gnus-draft.el (gnus-draft-send-draft): Abolished.

1998-10-05  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-yank-original):  Use the value of
	`message-reply-buffer' as a function if it is a function.
	(message-fetch-reply-field): Ditto.

	* lisp/message.el (message-setup): Set the value of
	`message-reply-buffer' if the variable
	`gnus-message-get-reply-buffer' exists.

	* lisp/gnus-msg.el (gnus-setup-message): Bind
	`gnus-message-get-reply-buffer' as the function
	`gnus-copy-article-buffer'.

1998-10-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-draft.el (gnus-draft-send): Call
	`message-send-news-function' or `message-send-mail-function'
	instead of `message-send-and-exit'.

1998-10-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-mode-map): Use `define-key' instead of
	`substitute-key-definition' for `message-kill-buffer'.

1998-10-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-make-user-agent): Replace with the
	new code again. It is based on MORIOKA-san's code.

1998-10-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-make-user-agent): Replace with the
	new code.

	* lisp/gnus-msg.el (gnus-message-make-user-agent): New function.

	* lisp/gnus-msg.el (gnus-extended-version): Needn't be interactive.

	* lisp/gnus-msg.el (gnus-inviolable-extended-version): Abolished.

1998-10-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-kill-buffer): Change the prompt string.

	* lisp/message.el (message-mode-map): Substitute key definition
	from `kill-buffer' to `message-kill-buffer'.

1998-10-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-message-setup-hook): Set the default value
	to `message-maybe-setup-default-charset'.

	* lisp/message.el (message-setup-hook): Move
	'message-maybe-setup-default-charset' to `gnus-message-setup-hook'.

1998-10-02  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-kill-buffer): Refer to
	`message-kill-buffer-query-function'.

	* lisp/message.el (message-kill-buffer-query-function): New user
	option.

	* lisp/nnheader.el (nnheader-Y-or-n-p): New function.

1998-10-01  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/pop3-fma.el (pop3-fma-movemail): Bug fix.
	Delete variable pop3-fma-movemail options.
	Add new variabel pop3-fma-commandline-arguments.

1998-10-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el: Fix my stupid changes.

1998-09-30  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-make-user-agent): Add the value of
	`system-configuration' to Emacs and XEmacs as a comment.

	* lisp/message.el (message-make-user-agent): Fold up the return
	value if the optional arg MAX-COLUMN is specified.

1998-09-29  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-make-user-agent): Make a user-agent
	string without MUA info, if the value of `message-user-agent' is
	nil nor `gnus-inviolable-extended-version' is not exists.

1998-09-28  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/nnmh.el (nnmh-request-accept-article): Insert `Message-ID'
	only if `group' name is neither "queue" nor "draft".
	Fix typo (at 23:25).

	* lisp/message.el (message-send-mail): Add different Message-ID in
	each message/partial

1998-09-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* texi/gnus-ja.texi: Sync up with Semi-gnus 6.8.19.

	* lisp/gnus.el: Add autoload setting for
	`gnus-quote-arg-for-sh-or-csh'.

1998-09-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-insert-pseudos): Use
	`gnus-quote-arg-for-sh-or-csh' instead of `mm-quote-arg'.

	* lisp/nndoc.el (nndoc-possibly-change-buffer): Don't eval
	`mm-enable-multibyte'.
	* lisp/nnmbox.el (nnmbox-possibly-change-newsgroup): Ditto.

1998-09-25  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.022.

	* Sync up with Pterodactyl Gnus 0.32.

1998-09-24  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.021.

	* Sync up with Pterodactyl Gnus 0.31.

1998-09-23  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-make-user-agent): Add extended version
	number to Emacs/{VERSION} (e.g. "Emacs/20.3.90").

1998-09-22  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-agent.el (gnus-agent-expire): Bug fix when variable
	expired is nil.

1998-09-18  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-draft.el: (gnus-draft-edit-message): Fix typo.

1998-09-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-make-user-agent): Use
	`gnus-inviolable-extended-version' if `message-user-agent' is nil.

	* lisp/message.el (message-make-user-agent): In message-mode, make
	the most of the	`User-Agent' field value if already exists.

	* lisp/gnus-msg.el (gnus-inviolable-extended-version): New constant.

	* lisp/gnus-msg.el (gnus-extended-version): Remove trailing white
	space.

1998-09-17  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-draft.el (gnus-draft-send-draft): Expire queued message
	after news posting.

1998-09-17  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-draft.el (gnus-draft-send-draft): Error if no
	recipients.

1998-09-17  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* lisp/gnus-draft.el (gnus-draft-decoding-function): Uncommented.

1998-09-17  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-draft.el (gnus-draft-edit-message): Use
	`gnus-draft-setup-for-editing' instead of `gnus-draft-setup'.
	(gnus-draft-send): Use `gnus-draft-setup-for-sending' instead of
	`gnus-draft-setup'.
	(gnus-draft-setup-for-editing): New function (renamed from
	`gnus-draft-setup').
	(gnus-draft-setup-for-sending): New function.
	(gnus-draft-send-draft-buffer): New variable.

1998-09-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* texi/gnus-ja.texi: Sync up with Semi-gnus 6.8.18.

	* Makefile.in: Add entry `info-ja'.
	* texi/Makefile.in: Add entry `ja'.

1998-09-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.020.

	* lisp/ietf-drums.el: New file.
	* lisp/date.el: Abolished.
	* lisp/mm.el: Abolished.

	* Sync up with Pterodactyl Gnus 0.31.

1998-09-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-encode-message-body): Copied from
	Pterodactyl Gnus 0.30. It is useless for Semi-gnus but usefull for
	reducing differences while at work for synchronizing up. It will
	be removed when the Gnus becomes stable.
	* lisp/gnus-art.el (gnus-mime-display-alternative)
	(gnus-display-mime) (gnus-widget-press-button)
	(gnus-insert-mime-button) (gnus-mime-copy-part)
	(gnus-mime-view-part) (gnus-mime-pipe-part) (gnus-mime-save-part)
	(gnus-mime-button-map) (gnus-mime-button-line-format-alist)
	(gnus-mime-button-line-format)
	(article-mime-decode-quoted-printable-buffer)
	(article-de-quoted-unreadable) (article-decode-charset)
	(article-decode-mime-words) (gnus-decode-header-function)
	(gnus-display-mime-function): Ditto.

1998-09-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (article-decode-encoded-words): Renamed from
	`gnus-article-decode-rfc1522'.

	* lisp/mail-parse.el: New file.
	* lisp/mm-view.el: New file.
	* lisp/rfc2231.el: New file.
	* texi/emacs-mime.texi: New file.

	* lisp/gnus.el (gnus-version-number): Update to 6.10.019.

	* Sync up with Pterodactyl Gnus 0.30.

1998-09-11  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.018.

	* Sync up with Pterodactyl Gnus 0.26.

1998-09-11  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.017.

	* lisp/gnus-art.el (gnus-show-mime) (gnus-summary-toggle-mime):
	Revived.

	* lisp/gnus-mailcap.el: New file. Renamed from `mailcap.el'.

	* Sync up with Pterodactyl Gnus 0.25.

1998-09-11  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-art.el (article-make-date-line): Add TZ value to
	`local' and `ut' date.

	* lisp/gnus-art.el (article-make-date-line): Fix `ut' date.

	* lisp/parse-time.el (parse-time-string): The last element of the
	return list should be TZ.

	* lisp/message.el (message-send): Eval 'message-fix-before-sending'
	after encoding.

1998-09-10  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-spec.el (gnus-tilde-pad-form): Use old macro form.

	* lisp/gnus-art.el (article-decode-mime-words): Abolished.

1998-09-10  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.016.

	* Sync up with Pterodactyl Gnus 0.24.

1998-09-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.015.

	* Sync up with Pterodactyl Gnus 0.23.

1998-09-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.014.

	* Sync up with Pterodactyl Gnus 0.22.

1998-09-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.013.

	* Sync up with Pterodactyl Gnus 0.19.

1998-09-08  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-draft.el (gnus-draft-send-draft) (gnus-draft-send): New
	implementations for testing.

	* lisp/gnus-agent.el (gnus-agent-expire) (gnus-agent-fetch-headers)
	(gnus-agent-flush-cache) (gnus-agent-save-history)
	(gnus-agent-save-groups): Bind `coding-system-for-write' by
	`gnus-agent-file-coding-system' while writing a file.

	* lisp/gnus-agent.el (gnus-agent-file-coding-system): Renamed from
	`gnus-agent-article-file-coding-system'.

1998-09-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.012.

	* Sync up with Pterodactyl Gnus 0.18.

1998-09-07  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-draft.el (gnus-draft-setup): Do not use message mode.
	(gnus-draft-send): Ditto.
	gnus-draft-send-draft-buffer: New variable.

	* lisp/gnus-msg.el (gnus-extended-version): Display original Gnus
	version.

	* lisp/gnus-agent.el : Use pGnus 0.17 gnus-agent.el

1998-09-07  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-continuum-version): Use `char-int' instead of
	`mm-char-int'.
	* lisp/messagexmas.el (message-xmas-make-caesar-translation-table):
	Ditto.

	* lisp/gnus-art.el (gnus-article-setup-buffer): Don't use
	`mm-enable-multibyte'.

1998-09-07  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.011.

	* Sync up with Pterodactyl Gnus 0.17.

1998-09-06  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.10.010.

	* Sync up with Pterodactyl Gnus 0.16.

1998-09-04  Tatsuya Ichikawa <t-ichi@po.shiojiri.ne.jp>

	* lisp/pop3-fma.el (pop3-fma-movemail): Add error handle.
	(pop3-fma-get-movemail-type): Fix typo.

1998-09-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-version-number): Update to 6.9.09.

	* Sync up with Pterodactyl Gnus 0.14.

1998-09-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/nndoc.el (nndoc-transform-mime-parts): Insert
	"MIME-Version:" instead of "Mime-Version:".

	* lisp/message.el (message-encode-message-body): Abolished.

	* lisp/message.el: Don't require `rfc2047'.

	* lisp/gnus.el: Delete autoload settings for `qp' and `rfc2047'.

	* lisp/gnus.el (semi-gnus-developers): New constant.

	* lisp/gnus.el (gnus-version-number): Update to 6.9.08.

	* lisp/gnus-xmas.el (gnus-tilde-pad-form): Move to
	`gnus-xmas-redefine' from `gnus-xmas-define'.

	* lisp/gnus-sum.el (gnus-set-mode-line): Use `gnus-truncate-string'
	instead of `truncate-string'.

	* lisp/gnus-sum.el: Don't define menu for "MIME".

	* lisp/gnus-sum.el: Delete key definitions for
	`gnus-article-decode-mime-words' and `gnus-article-decode-charset'.

	* lisp/gnus-spec.el (gnus-tilde-pad-form): New function for the
	benefit of avoiding byte-compile warning.

	* lisp/gnus-soup.el (gnus-soup-send-packet): Set
	`message-user-agent' instead of `message-newsreader'.

	* lisp/message.el (message-set-work-buffer) (message-mode):  Don't
	use `mm-enable-multibyte'.
	* lisp/gnus-util.el (gnus-set-work-buffer): Ditto.
	* lisp/gnus-sum.el (gnus-summary-mode): Ditto.
	* lisp/gnus-msg.el (gnus-copy-article-buffer): Ditto.
	* lisp/gnus-art.el (gnus-article-mode): Ditto.

	* lisp/gnus-art.el (gnus-article-decode-mime-words)
	(gnus-article-decode-charset) (gnus-decode-rfc1522)
	(article-decode-rfc1522) (article-de-quoted-unreadable)
	(article-mime-decode-quoted-printable-buffer): Abolished.

	* lisp/message.el: Don't require `mm-bodies'.
	* lisp/gnus-art.el: Ditto.

	* lisp/gnus-agent.el (gnus-category-line-format-alist): Change
	variable name `name' and `groups' to `gnus-tmp-name' and
	`gnus-tmp-groups'.
	(gnus-category-insert-line): Ditto.

	* lisp/gnus-agent.el (gnus-agent-fetch-articles): Delete useless
	binding variables.

1998-09-01  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.9.07.

	* Sync up with Pterodactyl Gnus 0.13.

1998-08-31  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.9.04.

	* Sync up with Pterodactyl Gnus 0.10.

	* lisp/gnus-agent.el : back to version Gnus 5.6.32.

1998-08-31  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/rfc1522.el: Abolished.

	* lisp/message.el: (message-send-mail) (message-send-news): Don't
	use `mm-encode-message-header'.

	* lisp/gnus.el: Delete autoload settings for
	`hexl-hex-string-to-integer', `mm-decode-words-region',
	`mm-decode-words-string', `gnus-hack-decode-rfc1522',
	`gnus-article-de-quoted-unreadable', `gnus-decode-rfc1522' and
	`article-decode-rfc1522'.

	* lisp/gnus-sum.el: Delete key definitions for
	`gnus-article-decode-mime-words', `gnus-article-decode-mime-words'
	and `gnus-article-de-quoted-unreadable'.

	* lisp/gnus-art.el (gnus-article-decode-mime-words)
	(gnus-decode-rfc1522) (article-de-quoted-unreadable)
	(article-mime-decode-quoted-printable-buffer): Abolished.

	* lisp/gnus.el (gnus-version-number): Update to 6.9.03.

	* Sync up with Pterodactyl Gnus 0.9.

1998-08-31  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-agent.el: Do not use nnheader-temp-write.

	* lisp/gnus-ems.el: Do not use nnheader-temp-write.

	* lisp/gnus.el (gnus-version-number): Update to 6.9.02.

	* Sync up with Pterodactyl Gnus 0.8.

1998-08-30  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* New branch ... pgnus-ichikawa

	* lisp/gnus.el (gnus-original-version-number)
	(gnus-original-product-name) : New variable.

	* lisp/gnus.el (gnus-version-number): Update to 6.9.01.
	Third version number 0x means Original gnus's status in beta version.

	* Sync up with Pterodactyl Gnus 0.6.

1998-08-30  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-agent.el (gnus-agent-fetch-headers): Bug Fix.
	When add a new newsgroup , gnus-agent cannot fetch articles.

	* lisp/gnus.el (gnus-version-number): Update to 6.8.17.

	* Sync up with Gnus 5.6.42.

1998-08-28  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus-i18n.el (gnus-set-summary-default-charset): Try
	"qualified" newsgroup name first.

1998-08-28  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus-i18n.el (gnus-set-summary-default-charset): Match
	"real" newsgroup name; strip "backend+server" prefix.

1998-08-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/message.el (message-make-user-agent): New function.
	(message-generate-headers): Use it.
	These changes are copied from Shoe-gnus.

1998-08-28  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/message.el (message-make-in-reply-to):
	Use `std11-extract-address-components'.
	(message-use-mail-reply-to): Doc fix.

1998-08-27  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.16.

	* Sync up with Gnus 5.6.41.

1998-08-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-spec.el (gnus-parse-simple-format): Use
	`gnus-tilde-pad-form' instead of the padding faculty of `format'
	under XEmacs-mule.

	* lisp/gnus-xmas.el
	(gnus-xmas-redefine): Redifine `gnus-truncate-string',
	`gnus-tilde-max-form' and `gnus-tilde-cut-form' for XEmacs-mule.
	(gnus-xmas-define): New function 'gnus-tilde-pad-form' for
	XEmacs-mule.

1998-08-26  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-article-narrow-to-signature):
	Removed TM stuff.
	(gnus-article-display-mime-message):
	Set `mime-button-mother-dispatcher' in correct buffer.
	(gnus-url-mailto): Use `gnus-setup-message'.
	(gnus-button-mailto): Ditto.
	(gnus-button-reply): Ditto.

	* lisp/gnus-ems.el (gnus-mule-max-width-function): Removed.
	(gnus-truncate-string): Use `truncate-string-to-width' if available.
	(gnus-tilde-max-form): New implementation.
	(gnus-tilde-cut-form): Ditto.

	* lisp/gnus-msg.el (gnus-summary-mail-digest): New function.
	(gnus-summary-post-digest): New function.

	* lisp/gnus-sum.el (gnus-summary-make-menu-bar): Use
	`gnus-summary-mail-digest' and `gnus-summary-post-digest' instead
	of `gnus-uu-digest-mail-forward' and `gnus-uu-digest-post-forward'.

	* lisp/gnus-util.el (gnus-truncate-string): Ignore more than two
	arguments.

	* lisp/message.el (message-forward-end-separator): Use
	`text/plain' tag.

1998-08-25  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-cache.el (gnus-cache-possibly-enter-article): Write
	file in raw-text coding system.
	(gnus-cache-save-buffers): Ditto.
	* lisp/gnus-cache.el (gnus-cache-write-file-coding-system): New variable.
	* lisp/gnus-util.el (gnus-write-buffer): Undo change.

	* lisp/gnus-util.el (gnus-write-file-coding-system): Delete variable.

1998-08-25  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus-msg.el (gnus-bug-message): About Semi-gnus.
	(gnus-extended-version): Return gnus version only.
	(gnus-bug): Add Semi-gnus developers to recipients.

	* lisp/message.el (message-make-user-agent): New function.
	(message-generate-headers): Use it.

1998-08-24  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-offline.el (gnus-offline-setup): Bug fix and version
	changed to 1.53.

	* lisp/gnus-util.el (gnus-write-buffer): Write file in raw-text coding
	system.

	* lisp/gnus-util.el (gnus-write-file-coding-system): New variable.

1998-08-23  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/message.el: Suppress some byte-compile warnings.
	(message-make-forward-subject): Failed to sync.
	(message-setup): Ditto.
	(message-clone-locals): Modify regexp.

	* lisp/message.el (message-fill-references): Reverted.

1998-08-23  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus-agent.el (gnus-agent-braid-nov): Use
	`nnheader-insert-file-contents'.

	* lisp/gnus-i18n.el (gnus-set-summary-default-charset): Sync up
	with "akr" branch.

1998-08-23  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.15.

	* Sync up with Gnus 5.6.39.

1998-08-20  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.14.

	* Sync up with Gnus 5.6.38.

	* lisp/gnus-offline.el (gnus-offline-enable-fetch-mail): Enable to get
	APOP server.

	* lisp/pop3-fma.el (pop3-fma-movemail): Enable to get from APOP server.
	(pop3-fma-set-pop3-password) Enable to get from APOP server.

1998-08-16  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.13.

	* Sync up with Gnus 5.6.37.

	* lisp/gnus-offline.el (gnus-offline-setup) : To create spol directory
	if not exists.
	Change default value of gnus-offline-drafts-queue-type 'miee to 'agent

1998-08-16  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.12.

	* Sync up with Gnus 5.6.36.

	* lisp/gnus-offline.el : New file.
	Merge gnus-offline to ichikawa branch.

1998-08-15  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Update.

1998-08-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* lisp/gnus-start.el (gnus-save-newsrc-file): Bind
	`coding-system-for-write' by `gnus-startup-file-coding-system'
	while saving the quick newsrc file.

	* lisp/gnus-start.el (gnus-startup-file-coding-system): Change
	default value to `ctext'.

1998-08-13  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.11.

	* Sync up with Gnus 5.6.34.

1998-08-12  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.10.

	* Sync up with Gnus 5.6.33.

1998-08-11  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/message.el (message-frames): New custom group.
	(message-original-frame): New variable.
	(message-use-multi-frames): New variable.
	(message-delete-frame-on-exit): New variable.
	(message-send-and-exit): Delete frame which made for editing
	message.
	(message-kill-buffer): Ditto.
	(message-delete-frame): New function.
	(message-pop-to-buffer): Make new frame when edit message.

1998-08-11  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.9.

	* Sync up with Gnus 5.6.31.

1998-08-10  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.8.

	* Sync up with Gnus 5.6.30.

1998-08-10  Shuhei KOBAYASHI <shuhei-k@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.7.

1998-08-06  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/smtp.el: Do not insert empty line at the end of message.

1998-08-06  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.6.

	* Sync up with Gnus 5.6.29.

1998-08-05  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-start.el (gnus-read-init-file): Fix indent.
	* lisp/gnus-ems.el (gnus-tilde-max-form): Redefine instead of
	(gnus-summary-line-format-spec) to display Japanese character
	correctly in Gnus summaly.

1998-08-05  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-start.el (gnus-read-init-file): Don't restrict
	`coding-system-for-read' by `binary' when loading `.gnus'.

1998-08-04  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.5.

	* Sync up with Gnus 5.6.28.

1998-07-27  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.4.

	* Sync up with Gnus 5.6.27.

1998-07-27  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/message-ja.texi: Japanese translation of "message.texi".

1998-07-26  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.3.

	* Sync up with Gnus 5.6.26.

1998-07-23  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.2.
	(gnus-version): Change to "Semi-gnus". Change comment format.

1998-07-21  Keisuke Mori   <ksk@ntts.com>

	* texi/gnus-ja.texi: Add "Appendices".

1998-07-21  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "Appendices".

1998-07-16  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.1.

	* Sync up with Gnus 5.6.24.

1998-07-10  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-ems.el (gnus-mule-cite-add-face): Fix problem when multi
	bytes charactors are used in cite prefix. (for Emacs 20.1 and 20.2)
	(gnus-ems-redefine): for Emacs 20.1 and 20.2

	* lisp/gnus-cite.el (gnus-cite-add-face): Abolish my last bogus change.

1998-07-09  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* lisp/gnus-cite.el (gnus-cite-add-face): Fix problem when multi
	bytes charactors are used in cite prefix.

1998-07-07  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "The End".

1998-07-06  Keisuke Mori   <ksk@ntts.com>

	* texi/gnus-ja.texi: Add "Various".

1998-07-06  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "Various".
	* texi/gnus-ja.texi: Sync up with Gnus 5.6.22

1998-07-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/message.el (message-header-format-alist): Repair to use
	`message-fill-references' for References.

1998-07-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-article-header-presentation-method):
	Delete nil optional arguments.
	- Delete setting for `mime-raw-representation-type-alist'.

1998-07-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.8.0.
	(gnus-version): Modify for FLIM 1.8.

	* lisp/gnus-art.el (gnus-article-header-presentation-method):
	Modify for FLIM 1.8.

1998-06-30  Keisuke Mori   <ksk@ntts.com>

	* texi/gnus-ja.texi: Add "Scroing".

1998-06-30  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "Scoring".

1998-06-30  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* Sync up with Gnus 5.6.22
	* lisp/gnus.el (gnus-version-number): Update to 6.7.8.
	* lisp/pop3-fma.el : Enable to get localhost mail spool.

1998-06-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.7.7.

	* lisp/gnus-art.el (gnus-article-prepare): Set up
	`gnus-article-current-summary' of gnus-article-buffer.
	(gnus-request-article-this-buffer): Don't set up
	`gnus-article-current-summary'.

1998-06-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.7.6.

1998-06-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-mime-preview-quitting-method): Renamed
	from `mime-preview-quitting-method-for-gnus'.

1998-06-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-sum.el (gnus-summary-preview-mime-message): New
	implementation.

	* lisp/gnus-art.el (mime-preview-quitting-method-for-gnus): Use
	`gnus-article-show-summary' is `gnus-show-mime' is not nil.

1998-06-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/ChangeLog, texi/gnus.texi, texi/message.texi,
	lisp/ChangeLog, lisp/gnus.el, lisp/nngateway.el, lisp/nnfolder.el,
	lisp/message.el, lisp/gnus-sum.el, lisp/gnus-soup.el: Sync up with
	Gnus 5.6.20.

1998-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README, texi/ChangeLog, texi/gnus.texi, texi/message.texi,
	lisp/ChangeLog, lisp/nnweb.el, lisp/nnmail.el, lisp/nndoc.el,
	lisp/message.el, lisp/lpath.el, lisp/gnus.el, lisp/gnus-util.el,
	lisp/gnus-topic.el, lisp/gnus-sum.el, lisp/gnus-score.el,
	lisp/gnus-group.el, lisp/gnus-ems.el, lisp/gnus-demon.el,
	lisp/gnus-art.el: Sync up with Gnus 5.6.16.

1998-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.7.3.

	* lisp/gnus-sum.el (gnus-summary-move-article): Use
	`gnus-request-article-this-buffer'.
	(gnus-request-partial-message): Likewise.

	* lisp/gnus-art.el (gnus-article-prepare): Use
	`gnus-request-article-this-buffer'.
	(gnus-request-article-this-buffer): Renamed from
	`gnus-request-original-article'; abolish conventional
	implementation.
	- Abolish unused setting for `mime-view-show-summary-method'.

1998-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* readme, texi/ChangeLog, texi/gnus.texi, texi/message.texi,
	lisp/ChangeLog, lisp/gnus.el, lisp/nnmail.el, lisp/nnheader.el,
	lisp/nngateway.el, lisp/nnfolder.el, lisp/nnagent.el,
	lisp/message.el, lisp/gnus-sum.el, lisp/gnus-score.el,
	lisp/gnus-salt.el, lisp/gnus-msg.el, lisp/gnus-cus.el,
	lisp/gnus-cache.el, lisp/gnus-art.el: Sync up with Gnus 5.6.15.

1998-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/gnus.texi, texi/message.texi, texi/ChangeLog: Sync up with
	Gnus 5.6.13.

1998-06-14  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* Sync up with Gnus 5.6.13.

1998-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-article-display-mime-message): Don't
	`save-excursion'.
	(gnus-article-prepare): Use `mime-fetch-field' instead of
	`mime-entity-fetch-field'.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-article-display-mime-message): Use
	`mime-display-message' instead of `mime-view-buffer'.
	(gnus-article-display-traditional-message): Set
	`gnus-article-buffer'.
	(gnus-article-display-message-with-encoded-word): Modify for
	`gnus-article-display-traditional-message'.
	(gnus-article-prepare): Use `mime-parse-buffer' and
	`mime-entity-fetch-field'; don't set gnus-article-buffer.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-sum.el (gnus-summary-move-article): Use
	`gnus-request-original-article' instead of
	`gnus-request-article-this-buffer'.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/gnus-ja.texi, texi/gnus.texi (Using MIME): Modify
	description about new display mechanism.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.6.0.
	(gnus-version): Modify for this branch.

	* lisp/gnus-art.el (gnus-article-display-method-for-mime): New
	variable; abolish `gnus-show-mime-method'.
	(gnus-article-display-method-for-encoded-word): New variable;
	abolish `gnus-decode-encoded-word-method'.
	(gnus-article-display-method-for-traditional): New variable.
	(gnus-article-display-mime-message): New function; abolish
	`gnus-article-preview-mime-message'.
	(gnus-article-display-traditional-message): New function.
	(gnus-article-display-message-with-encoded-word): New function;
	abolish `gnus-article-decode-encoded-word'.
	(gnus-article-prepare): Change display mechanism; use
	`gnus-request-original-article' instead of
	`gnus-request-article-this-buffer'.
	(gnus-request-original-article): New function.

1998-06-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.6.0.
	(gnus-version): Modify for SEMI 1.8.

	* lisp/gnus-sum.el: Modify for interface change in SEMI 1.8 about
	automatic message/partial combining.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.5.0.
	(gnus-version): Modify for SEMI 1.7.

	* lisp/gnus-sum.el: Rename
	`mime-method-to-combine-message/partial-pieces' to
	`mime-combine-message/partial-pieces-automatically'.

	* lisp/gnus-art.el (gnus-article-preview-mime-message): Use
	`mime-view-buffer'.
	(gnus-article-decode-encoded-word): Fix DOC-string.
	(gnus-article-header-presentation-method): New function; abolish
	`gnus-content-header-filter'.
	Modify for SEMI 1.7.

1998-06-18  Keisuke Mori   <ksk@ntts.com>

	* texi/gnus-ja.texi: Add "Select Methods".

1998-06-18  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "Select Methods".

1998-06-17  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/pop3-fma.el: Small bug fix.

	* lisp/pop3-fma.el: Delete variable pop3-fma-cypher-key
	Use base64-encode-string , base64-decode-string instead.
	Both change by Yasuo OKABE <okabe@kuis.kyoto-u.ac.jp>

1998-06-13  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/pop3-fma.el: New function pop3-fma-cypher-string
	New variable pop3-fma-cypher-key

1998-06-12  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/message.el (message-required-news-headers): `X-Newsreader'
	was replaced by `User-Agent'.
	(message-required-mail-headers): `X-Mailer' was replaced by
	`User-Agent'.
	(message-header-format-alist): `X-Mailer' and `X-Newsreader' were
	replaced by `User-Agent'.
	(message-generate-headers): Ditto.

	(message-user-agent): New variable.
	(message-newsreader): Replaced by `message-user-agent'.
	(message-mailer): Ditto.
	(message-mode): `message-mailer' and `message-newsreader' were
	replaced by `message-user-agent'.

	* lisp/gnus-msg.el (gnus-inews-add-send-actions): `message-mailer'
	and `message-newsreader' were replaced by `message-user-agent'.
	(gnus-extended-version): Generate "PRODUCT/VERSION" style strings.

	* lisp/gnus-soup.el (gnus-soup-send-packet): `message-mailer' and
	`message-newsreader' were replaced by `message-user-agent'.

1998-06-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el: Delete setting for
	`article-de-quoted-unreadable' and
	`article-mime-decode-quoted-printable' because they have been
	already abolished.

1998-06-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/gnus-ja.texi: Sync up with latest gnus.texi.

	* texi/gnus.texi: Modify for Semi-gnus 6.4.0.

1998-06-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-extract-address-components): Add
	`std11-extract-address-components' as a choice.

1998-06-06  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "Composing Messages".

1998-06-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-ems.el (gnus-ems-redefine): Must require 'path-util
	before call `module-installed-p'.

	* lisp/gnus.el (gnus-version-number): Update to 6.4.0.
	(gnus-version): Modify for SEMI 1.5.

	* lisp/gnus-art.el: Modify for SEMI 1.5 API.

1998-06-04  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/pop3-fma.el: New file. To handle multiple POP account.

	* lisp/gnus.el (gnus-version-number): Update to 6.3.4.
	And fix typo 5.6.10 -> 5.6.11.

1998-06-03  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.3.3.

	* Sync up with Gnus 5.6.11.

1998-06-03  Keisuke Mori   <ksk@ntts.com>

	* texi/gnus-ja.texi: Add "The Article Buffer".

1998-06-03  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "The Summary Buffer".

1998-06-02  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.3.2.

	* Sync up with Gnus 5.6.10.

1998-05-30  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* README.semi: Add description of `shuhei-k' branch.

1998-05-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.3.1.

1998-05-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-util.el (gnus-output-to-rmail): Guard as binary.

	* lisp/gnus-util.el (gnus-output-to-mail): Guard as binary.

1998-04-24  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "The Active File".

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.3.0.
	(gnus-version): Modify for SEMI 1.4.

	* lisp/gnus-sum.el: Use 'mime-add-condition to set up
	acting-condition.

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/lpath.el: Must add "flim" instead of "mel" to load-path.

1998-05-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.2.5.

	* texi/gnus.texi, lisp/ChangeLog: Sync up with Gnus v5.6.9.

	* lisp/gnus.el, lisp/message.el, lisp/gnus-sum.el,
	lisp/gnus-msg.el, lisp/gnus-draft.el, lisp/gnus-agent.el: Sync up
	with Gnus v5.6.9.

1998-04-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.2.4.

	* texi/gnus.texi, lisp/ChangeLog: Sync up with Gnus 5.6.7.

	* lisp/gnus.el, lisp/message.el, lisp/gnus-sum.el,
	lisp/gnus-msg.el, lisp/gnus-cache.el, lisp/gnus-art.el: Sync up
	with Gnus 5.6.7.

1998-04-28  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.2.3.

	* Sync up with Gnus 5.6.6.

1998-04-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnheader.el: Sync up with Gnus 5.6.5.

1998-04-26  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.2.2.

	* Sync up with Gnus 5.6.5.

	* texi/custom.texi, texi/widget.texi: Removed from Semi-gnus.

1998-04-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.semi (How to get? (via CVS)): Modify descriptions about
	TAG.

1998-04-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.2.1.

1998-04-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/message.el (message-make-forward-subject): Use
	`eword-decode-unstructured-field-body' for subject.

	* lisp/gnus-msg.el (gnus-summary-mail-forward): Make local
	variable `default-mime-charset' of `gnus-original-article-buffer'
	and set up by `default-mime-charset' of `gnus-summary-buffer'.

1998-04-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/gnus-ja.texi: Fix typos.

	* texi/gnus.texi: Modify for Semi-gnus.

1998-04-23  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "Auto Save".

1998-04-22  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "Startup Files".

1998-04-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.2.0.
	(gnus-version): Modify for SEMI 1.3.

	* lisp/gnus-sum.el: Use 'ctree-set-calist-strictly instead of
	'set-atype to set up for 'mime-acting-condition.

1998-04-21  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "Changing Servers".

1998-04-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/gnus-ja.texi: Modify styles.

	* texi/gnus.texi: Modify for Semi-gnus (sync up with
	gnus-ja.texi).

1998-04-20  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: Add "New Groups".

1998-04-20  Yoshiki Hayashi   <penny@tb3.so-net.ne.jp>

	* texi/gnus-ja.texi: Modify styles.

1998-04-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/gnus-ja.texi: Check and modify for Semi-gnus.

1998-04-18  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* texi/gnus-ja.texi: New file.

1998-04-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.1.3.

1998-04-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-following-method): New function; set up
	for 'mime-view-following-method-alist.

1998-04-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/gnus.texi: Add and modify description for Semi-gnus.

1998-04-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* texi/gnus.texi: "Gnus 5.6.4" -> "Semi-gnus 6.1.2".
	(Top): "Gnus" -> "gnus".
	(Starting Up): "Gnus" -> "gnus".

1998-04-10  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/ChangeLog, lisp/gnus-agent.el: Sync up with Gnus 5.6.4.

1998-04-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.1.2.
	(gnus-version): Include corresponding SEMI version.

	* lisp/gnus.el, lisp/nnkiboze.el, lisp/message.el,
	lisp/gnus-sum.el, lisp/gnus-agent.el: Sync up with Gnus 5.6.4.

1998-03-27  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* README.semi: Change descriptions of sending bug report.

1998-03-20  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.1.1.
	(gnus-version): Include corresponding SEMI version.

	* Sync up with Gnus 5.6.3.

1998-03-15  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/gnus-agent.el (gnus-agent-crosspost): Use
	`nnheader-insert-file-contents'.
	(gnus-agent-braid-nov): Ditto.
	(gnus-agent-expire): Ditto.

	* lisp/gnus-cache.el (gnus-cache-request-article): Ditto.
	(gnus-cache-retrieve-headers): Ditto.
	(gnus-cache-change-buffer): Ditto.
	(gnus-cache-braid-nov): Ditto.

	* lisp/gnus-sum.el (gnus-summary-import-article): Ditto.

	* lisp/nnkiboze.el (nnkiboze-retrieve-headers): Ditto.

	* lisp/message.el (message-generate-headers): Fix regexp.
	(cf. [semi-gnus-ja:107])

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el: Add setting for
	`mime-raw-buffer-coding-system-alist'.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el: Rename `mime-view-quitting-method-for-gnus' ->
	`mime-preview-quitting-method-for-gnus'.

	* lisp/gnus-art.el: Rename `mime-view-quitting-method-alist' ->
	`mime-preview-quitting-method-alist'.

	* lisp/gnus-art.el: Rename `mime-view-kill-buffer' ->
	`mime-preview-kill-buffer'.

	* lisp/gnus.el (gnus-version-number): Update to 6.0.10.

	* lisp/gnus-sum.el: Add code to check latest SEMI.
	(mime-acting-condition): Separate type and subtype; rename
	`mime-combine-message/partials-automatically' ->
	`mime-method-to-combine-message/partial-pieces'.

1998-03-08  Shuhei KOBAYASHI <shuhei-k@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.0.9.

	* README.semi (How to get?): Add description of daily snapshot.
	(How to join development): Change mailing list command address.

	* Sync up with Gnus 5.6.2.

1998-03-01  Tatsuya Ichikawa  <t-ichi@po.shiojiri.ne.jp>

	* lisp/gnus-ems.el: Change variable name
	gnus-bdf-image-file to gnus-mule-bitmap-image-file.

1998-02-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.0.8.

	* lisp/gnus.el: Sync up with qgnus-0.34.

1998-02-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/message.el: Sync up with qgnus-0.33.

	* lisp/gnus-ems.el (gnus-bdf-image-file): New variable; moved from
	gnus.el.
	(gnus-mule-group-startup-message): New function; moved and renamed
	from `gnus-group-startup-message' of gnus.el.

	* lisp/gnus.el, lisp/gnus-sum.el, lisp/gnus-art.el,
	lisp/gnus-agent.el: Sync up with qgnus-0.33.

1998-02-28  Tatsuya Ichikawa  <t-ichi@niagara.shiojiri.ne.jp>

	* lisp/gnus.el (gnus-bdf-image-file): New variable.
	(gnus-mule-group-startup-message): Display bitmap image using
	bitmap.el running with Emacs 20.

	* lisp/gnus-agent.el (gnus-agent-fetch-headers): Fix problem when
	Xref field is not exist.

1998-02-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.semi (How to join development): Modify for Semi-gnus
	mailing list.

	* lisp/gnus.el (gnus-version-number): Update to 6.0.7.

	* lisp/gnus.el (gnus-article-display-hook): Delete
	`gnus-article-de-quoted-unreadable' from options.

	* lisp/gnus-sum.el (gnus-article-make-menu-bar): Delete key for
	`gnus-article-de-quoted-unreadable'.
	(gnus-summary-make-menu-bar): Delete menu for
	`gnus-article-de-quoted-unreadable'.

	* lisp/gnus-art.el (gnus-article-make-menu-bar): Delete menu for
	`gnus-article-de-quoted-unreadable'.

1998-02-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el, lisp/message.el: Sync up with qgnus-0.32.

1998-02-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.0.6.

	* lisp/message.el (message-fill-references): Abolish unused local
	variables.

	* lisp/pop3.el, lisp/message.el, lisp/gnus.el, lisp/gnus-sum.el,
	lisp/gnus-art.el: Sync up with qgnus-0.31.

	* lisp/gnus.el, lisp/message.el, lisp/gnus-sum.el,
	lisp/gnus-art.el: Sync up with qgnus-0.30.

1998-02-20  Christophe Broult <christophe.broult@info.unicaen.fr>

	* README.semi (How to get?): The command `update' must come before
	`-r semi-gnus'. (cf. [tm-en:1559])

1998-02-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el: Sync up with qgnus-0.29.

	* lisp/gnus.el, lisp/message.el: Sync up with qgnus-0.28.

	* lisp/message.el: Abolish variable
	`message-references-generator'.  Abolish function
	`message-generate-filled-references',
	`message-generate-folded-references' and
	`message-generate-unfolded-references'.
	(message-reply): Don't use `message-references-generator'.
	(message-followup): Don't use `message-references-generator'.

	(message-fill-references): New function.
	(message-header-format-alist): Use `message-fill-references' for
	References.

1998-02-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to 6.0.5.

1998-02-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-sum.el: Check SEMI-0.118.2 (Otomaru) or later.
	(gnus-structured-field-decoder): Use
	`eword-decode-and-unfold-structured-field'.

	* lisp/gnus-art.el (gnus-article-decode-rfc1522): Use charset
	conversion option of `eword-decode-header'.
	(gnus-article-decode-encoded-word): Use charset conversion option
	of `eword-decode-header'; use `gnus-run-hooks'.
	(gnus-content-header-filter): Use charset conversion option of
	`eword-decode-header'.

	* README.semi (How to get?): Should specify "-r semi-gnus".

1998-02-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-article-decode-rfc1522): Decode header by
	localized code.

1998-02-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-msg.el: Delete commented-out function
	`gnus-inews-insert-mime-headers'.

	* lisp/gnus.el, lisp/message.el, lisp/gnus-sum.el,
	lisp/gnus-art.el: Sync up with qgnus-0.27.

1998-02-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnheader.el: Use original.

	* lisp/gnus.el, lisp/pop3.el, lisp/message.el, lisp/gnus-sum.el,
	lisp/gnus-msg.el, lisp/gnus-draft.el, lisp/gnus-art.el: Sync up
	with qgnus-0.26.

1998-02-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnmail.el, lisp/nnmh.el: Use original.

	* lisp/gnus.el, lisp/gnus-draft.el, lisp/gnus-sum.el,
	lisp/message.el, lisp/gnus-art.el: Sync up with qgnus-0.25.

1998-02-11  Shuhei Kobayashi  <shuhei-k@jaist.ac.jp>

	* texi/message.texi, texi/gnus.texi, texi/ChangeLog,
	lisp/message.el, lisp/gnus.el, lisp/gnus-uu.el,
	lisp/gnus-topic.el, lisp/gnus-sum.el, lisp/gnus-start.el,
	lisp/gnus-score.el, lisp/gnus-group.el, lisp/gnus-art.el,
	lisp/gnus-agent.el, lisp/ChangeLog: Importing qgnus-0.24

1998-02-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-art.el (gnus-article-prepare): Don't bind coding
	systems.

	* lisp/gnus.el (gnus-version-number): Update to 6.0.4.
	(gnus-version): Sync with qgnus-0.23.

	* lisp/pop3.el, lisp/nnmh.el, lisp/nnheader.el, lisp/message.el,
	lisp/gnus-sum.el, lisp/gnus-msg.el, lisp/gnus-draft.el,
	lisp/gnus-art.el: Merge qgnus-0.23.

1998-02-09  Shuhei Kobayashi  <shuhei-k@jaist.ac.jp>

	* texi/message.texi, texi/gnus.texi, texi/ChangeLog, lisp/nntp.el,
	lisp/nnheader.el, lisp/message.el, lisp/gnus.el,
	lisp/gnus-xmas.el, lisp/gnus-sum.el, lisp/gnus-start.el,
	lisp/gnus-msg.el, lisp/gnus-group.el, lisp/gnus-draft.el,
	lisp/gnus-art.el, lisp/gnus-agent.el, lisp/ChangeLog: Importing
	qgnus-0.23

1998-02-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/message.el (message-references-generator): New variable.
	(message-generate-filled-references): New function.
	(message-generate-folded-references): New function.
	(message-generate-unfolded-references): New function.
	(message-reply): Refer `message-references-generator'.
	(message-followup): Refer `message-references-generator'.

1998-01-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/message.el (message-send-mail-with-sendmail): Guard
	`coding-system-for-write' by binary.
	(message-send-mail-with-qmail): Likewise.

1998-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/lpath.el: Require path-util; add load-path of APEL, MEL and
	SEMI.

1998-01-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/message.el: Require smtp.el when compile.

	* lisp/message.el (message-send-mail-with-smtp): Use
	`(current-buffer)' instead of `tembuf'; rename
	`smtp-recipient-address-list' -> `recipient-address-list'.

1998-01-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/smtp.el (smtp-deduce-address-list): Don't use
	`smtp-recipient-address-list' as global variable.

	* lisp/message.el (message-send-mail-with-smtp): Don't use
	`smtp-recipient-address-list' as global variable.

	* lisp/smtpmail.el (smtpmail-recipient-address-list): New
	variable; renamed from `smtp-recipient-address-list'.
	(smtpmail-send-it): Remove `(not (null ...))'.
	(smtpmail-send-queued-mail): Likewise.

1998-01-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/message.el (message-send-mail-with-smtp): Don't generate
	temporary buffer for message; don't generate and kill
	`smtp-address-buffer' for `smtp-deduce-address-list'.

	* lisp/smtpmail.el (smtpmail-send-it): Don't generate and kill
	`smtp-address-buffer' for `smtp-deduce-address-list'.

	* lisp/smtp.el (smtp-deduce-address-list): Bind and generate
	`smtp-address-buffer' in itself.

1998-01-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to version 6.0.3.

1998-01-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/smtp.el: New file.

	* lisp/smtpmail.el: Split basic features into smtp.el.

	* lisp/message.el (message-send-mail-function): Add
	`message-send-mail-with-smtp' as an item.
	(message-send-mail-with-smtp): New function.

	* ChangeLog: New file.

1998-01-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/smtpmail.el (smtpmail-via-smtp): Bind
	`coding-system-for-read' by `smtpmail-coding-system' to avoid
	dead-locking in Emacs 20.

	* lisp/gnus.el: gnus.el (gnus-version-number): Update to version
	6.0.2.

1998-01-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnmail.el, lisp/message.el: Sync with Quassia Gnus v0.22.

	* lisp/gnus.el: Delete autoload setting for `metamail-buffer'.

	* lisp/gnus.el, lisp/gnus-sum.el: Sync with Quassia Gnus v0.22.

	* lisp/gnus-msg.el: Abolish function
	`gnus-inews-insert-mime-headers'.

	* lisp/gnus-msg.el, lisp/gnus-draft.el, lisp/gnus-art.el: Sync
	with Quassia Gnus v0.22.

	* lisp/smtpmail.el (smtpmail-coding-system): New variable; abolish
	`smtpmail-code-conv-from'.
	(smtpmail-via-smtp): Guard `coding-system-for-write' by
	`smtpmail-coding-system'.

	* lisp/smtpmail.el: Imported from Emacs 20.2.

	* lisp/pop3.el (pop3-movemail-file-coding-system): Change default
	value to `binary'.
	(pop3-open-server): Guard `coding-system-for-read' by `binary'.

1998-01-06  Shuhei Kobayashi  <shuhei-k@jaist.ac.jp>

	* texi/message.texi, texi/gnus.texi, texi/ChangeLog, lisp/nnoo.el,
	lisp/nnml.el, lisp/message.el, lisp/gnus.el, lisp/gnus-sum.el,
	lisp/gnus-start.el, lisp/gnus-ems.el, lisp/gnus-draft.el,
	lisp/gnus-agent.el, lisp/ChangeLog: Importing qgnus-0.22

	* texi/message.texi, texi/gnus.texi, lisp/gnus.el, lisp/ChangeLog:
	Importing qgnus-0.21

	* texi/message.texi, texi/gnus.texi, texi/ChangeLog,
	lisp/nnvirtual.el, lisp/nnsoup.el, lisp/nnoo.el, lisp/nnmh.el,
	lisp/nnmail.el, lisp/nndraft.el, lisp/gnus.el, lisp/gnus-xmas.el,
	lisp/gnus-sum.el, lisp/gnus-start.el, lisp/gnus-score.el,
	lisp/gnus-msg.el, lisp/gnus-group.el, lisp/gnus-draft.el,
	lisp/gnus-art.el, lisp/ChangeLog: Importing qgnus-0.20

	* texi/message.texi, texi/gnus.texi, texi/ChangeLog, lisp/pop3.el,
	lisp/nntp.el, lisp/nnml.el, lisp/nnmail.el, lisp/nndoc.el,
	lisp/message.el, lisp/gnus.el, lisp/gnus-uu.el,
	lisp/gnus-topic.el, lisp/gnus-sum.el, lisp/gnus-start.el,
	lisp/gnus-score.el, lisp/gnus-group.el, lisp/gnus-cache.el,
	lisp/gnus-agent.el, lisp/ChangeLog: Importing qgnus-0.19

1997-12-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus.el (gnus-version-number): Update to version 6.0.1.

	* lisp/message.el (message-resend): Enclose `message-setup' with
	`(let (message-setup-hook) ...)' to avoid to `turn-on-mime-edit';
	must setup `message-encoding-buffer' and `message-edit-buffer' for
	`message-send-mail'.

1997-12-08  Shuhei Kobayashi  <shuhei-k@jaist.ac.jp>

	* lisp/pop3.el, lisp/message.el, lisp/gnus.el, lisp/gnus-sum.el,
	lisp/gnus-art.el, lisp/ChangeLog: Synch'ed up to qgnus-0.18.

	* texi/message.texi, texi/gnus.texi, texi/ChangeLog,
	lisp/smiley.el, lisp/pop3.el, lisp/nnweb.el, lisp/nntp.el,
	lisp/nnml.el, lisp/nnmail.el, lisp/nnheader.el, lisp/nndraft.el,
	lisp/message.el, lisp/lpath.el, lisp/gnus.el, lisp/gnus-util.el,
	lisp/gnus-sum.el, lisp/gnus-start.el, lisp/gnus-picon.el,
	lisp/gnus-nocem.el, lisp/gnus-mh.el, lisp/gnus-group.el,
	lisp/gnus-ems.el, lisp/gnus-cite.el, lisp/gnus-art.el,
	lisp/gnus-agent.el, lisp/dgnushack.el, lisp/ChangeLog: Importing
	qgnus-0.18

1997-11-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.semi: New file.

	* lisp/gnus.el (gnus-version): Rename to "Semi-gnus".

1997-11-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/gnus-draft.el (gnus-draft-decoding-function): New variable.
	(gnus-draft-setup): Use `gnus-draft-decoding-function'.

1997-11-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* lisp/nnmail.el, lisp/nnheader.el, lisp/message.el, lisp/gnus.el,
	lisp/gnus-sum.el, lisp/gnus-msg.el, lisp/gnus-art.el: sync with
	qgnus-0.17.

	* texi/message.texi, texi/gnus.texi, lisp/smiley.el, lisp/nnoo.el,
	lisp/nnml.el, lisp/nnmail.el, lisp/nnheader.el,
	lisp/messagexmas.el, lisp/message.el, lisp/gnus.el,
	lisp/gnus-xmas.el, lisp/gnus-util.el, lisp/gnus-sum.el,
	lisp/gnus-start.el, lisp/gnus-spec.el, lisp/gnus-score.el,
	lisp/gnus-picon.el, lisp/gnus-move.el, lisp/gnus-msg.el,
	lisp/gnus-kill.el, lisp/gnus-group.el, lisp/gnus-draft.el,
	lisp/gnus-demon.el, lisp/gnus-cite.el, lisp/gnus-art.el,
	lisp/ChangeLog: Quassia Gnus v0.17.

	* lisp/gnus-i18n.el: New file.

	* lisp/nnmail.el (nnmail-file-coding-system): Use `raw-text' in
	default.

	* lisp/nnheader.el (nnheader-file-coding-system): Use `raw-text'
	in default.

	* lisp/message.el (message-encode-function): New variable.
	(message-forward-start-separator): Modify for mime-edit.
	(message-forward-end-separator): Modify for mime-edit.
	(message-setup-hook): Use `(message-maybe-setup-default-charset
	turn-on-mime-edit)' in default.
	(message-header-hook): Use `(eword-encode-header)' in default.

	(message-send): Use local variable `message-encoding-buffer',
	`message-edit-buffer' and `message-mime-mode' as public variables;
	use `message-encode-function'.
	(message-send-mail): Use `message-encoding-buffer' to get contents
	of body; abolish `message-encode-mail-hook'; use
	`mime-edit-maybe-split-and-send'; use `message-edit-buffer' to
	refer original editing buffer.
	(message-send-news): Use `message-encoding-buffer' to get contents
	of body; abolish `message-encode-news-hook'; use
	`mime-edit-maybe-split-and-send'; use `message-edit-buffer' to
	refer original editing buffer.
	(message-check-news-syntax): Call `message-check-news-body-syntax'
	in `mime-edit-buffer'.
	(message-do-fcc): Use `message-encoding-buffer' to get contents;
	run `message-header-hook'.
	(message-cancel-news): Use `std11-extract-address-components'
	instead of `mail-extract-address-components'; bind
	`message-encoding-buffer' and `message-edit-buffer'.

	(message-maybe-setup-default-charset): New function.
	(message-maybe-encode): New function.
	(message-mime-insert-article): New function.
	Add setting for mime-view.

	* lisp/gnus.el (gnus-version-number): for version number for Open
	gnus.
	(gnus-version): Modify for Open gnus.

	* lisp/gnus-sum.el: Autoload gnus-i18n.

	(gnus-show-mime): `t' in default.
	(gnus-structured-field-decoder): Use
	`eword-decode-structured-field-body' in default.
	(gnus-unstructured-field-decoder): Use
	`eword-decode-unstructured-field-body' in default.

	(gnus-parse-headers-hook): Use
	`(gnus-set-summary-default-charset)' in default.

	(gnus-summary-mode-map): Add binding for
	`gnus-summary-scroll-down' and
	`gnus-summary-preview-mime-message'.

	(gnus-summary-preview-mime-message): New function.
	(gnus-mime-partial-preview-function): New function.
	Add setting for mime-view.

	* lisp/gnus-msg.el (gnus-summary-cancel-article): Display
	`gnus-article-buffer' instead ofb `gnus-original-article-buffer'.
	(gnus-extended-version): Don't return version of emacsen.
	(gnus-inews-do-gcc): Refer `message-encoding-buffer'.

	* lisp/gnus-art.el (gnus-show-mime-method): Use
	`gnus-article-preview-mime-message' instead of `metamail-buffer'
	in default.
	(gnus-decode-encoded-word-method): Use
	`gnus-article-decode-encoded-word' instead of
	`gnus-article-de-quoted-unreadable' in default.

	Abolish `gnus-hack-decode-rfc1522', `gnus-decode-rfc1522',
	`article-decode-rfc1522', `article-de-quoted-unreadable',
	`article-mime-decode-quoted-printable-buffer' and
	`article-mime-decode-quoted-printable'.
	(gnus-article-decode-rfc1522): New implementation (use
	`eword-decode-header').

	(gnus-article-preview-mime-message): New function.
	(gnus-article-decode-encoded-word): New function.
	(gnus-content-header-filter): New function.
	(mime-view-quitting-method-for-gnus): New function.
	Add setting for mime-view.

	* lisp/message.el: Abolish `message-max-size' because it is not
	used.

	* lisp/message.el: sync with qgnus-0.16.

	* texi/Makefile, texi/message.texi, texi/gnus.texi, lisp/nnweb.el,
	lisp/nnmh.el, lisp/nnheader.el, lisp/nnfolder.el, lisp/message.el,
	lisp/gnus.el, lisp/gnus-xmas.el, lisp/gnus-uu.el,
	lisp/gnus-sum.el, lisp/gnus-srvr.el, lisp/gnus-picon.el,
	lisp/gnus-group.el, lisp/gnus-cite.el, lisp/gnus-art.el: Quassia
	Gnus v0.16.

	* lisp/nnmh.el (nnmh-request-list-1): fix maybe.

	* lisp/message.el (message-do-fcc): Guard
	`coding-system-for-write' by `raw-text'; run
	`message-before-do-fcc-hook'.

	* lisp/gnus-msg.el (gnus-inews-do-gcc): Guard
	`coding-system-for-write' by `raw-text'; run
	`gnus-before-do-gcc-hook'.

	* texi/message.texi, texi/gnus.texi, texi/ChangeLog, lisp/nntp.el,
	lisp/nnoo.el, lisp/nnml.el, lisp/nndraft.el, lisp/nnbabyl.el,
	lisp/message.el, lisp/gnus.el, lisp/gnus-xmas.el, lisp/gnus-uu.el,
	lisp/gnus-util.el, lisp/gnus-sum.el, lisp/gnus-start.el,
	lisp/gnus-spec.el, lisp/gnus-soup.el, lisp/gnus-score.el,
	lisp/gnus-msg.el, lisp/gnus-gl.el, lisp/gnus-ems.el,
	lisp/gnus-draft.el, lisp/gnus-cache.el, lisp/gnus-audio.el,
	lisp/gnus-art.el, lisp/gnus-agent.el, lisp/ChangeLog: Quassia Gnus
	v0.15.

	* lisp/message.el, lisp/ChangeLog: sync with qgnus-0.14.

	* texi/Makefile, texi/gnus.texi: Quassia Gnus v0.14.

	* texi/dir: New file.

	* texi/dir, lisp/pop3.el, lisp/nntp.el, lisp/nnml.el,
	lisp/nnmail.el, lisp/nnfolder.el, lisp/message.el, lisp/lpath.el,
	lisp/gnus.el, lisp/gnus-win.el, lisp/gnus-util.el,
	lisp/gnus-topic.el, lisp/gnus-sum.el, lisp/gnus-start.el,
	lisp/gnus-score.el, lisp/gnus-msg.el, lisp/gnus-mh.el,
	lisp/gnus-cus.el, lisp/gnus-art.el, lisp/gnus-agent.el,
	lisp/ChangeLog: Quassia Gnus v0.14.

	* lisp/message.el, lisp/ChangeLog: sync with qgnus-0.13.

	* texi/gnus.texi, texi/ChangeLog, lisp/pop3.el, lisp/nnweb.el,
	lisp/nnmail.el: Quassia Gnus v0.13.

	* lisp/nnlistserv.el: New file.

	* lisp/nnlistserv.el, lisp/message.el, lisp/md5.el, lisp/lpath.el,
	lisp/gnus.el, lisp/gnus-topic.el, lisp/gnus-sum.el,
	lisp/gnus-score.el, lisp/gnus-picon.el, lisp/gnus-msg.el,
	lisp/gnus-group.el, lisp/gnus-art.el, lisp/gnus-agent.el,
	lisp/dgnushack.el, lisp/ChangeLog, GNUS-NEWS: Quassia Gnus v0.13.

	* lisp/message.el: sync with qgnus-0.12.

	* texi/message.texi, texi/gnus.texi, texi/gnus-faq.texi,
	texi/ChangeLog, lisp/nntp.el, lisp/nnmh.el, lisp/nnmail.el,
	lisp/nndraft.el, lisp/messcompat.el, lisp/message.el,
	lisp/gnus.el, lisp/gnus-xmas.el, lisp/gnus-uu.el,
	lisp/gnus-sum.el, lisp/gnus-score.el, lisp/gnus-salt.el,
	lisp/gnus-msg.el, lisp/gnus-int.el, lisp/gnus-group.el,
	lisp/gnus-demon.el, lisp/gnus-cache.el, lisp/gnus-art.el,
	lisp/gnus-agent.el, lisp/ChangeLog, GNUS-NEWS: Quassia Gnus v0.12.

	* lisp/message.el (message-send-news-function): Use
	`message-send-news-with-gnus' in default.
	(message-send-via-news): Use `message-send-news' instead of
	`message-send-news-function'.
	(message-send-mail): Don't avoid text properties; run
	`message-encode-mail-hook'.
	(message-send-news): Don't avoid text properties; run
	`message-encode-news-hook'; use `message-send-news-function'.
	(message-send-news-with-gnus): New function.
	(message-cancel-news): Use `message-send-news' instead of
	`message-send-news-function'.

;; Local Variables:
;; coding: iso-2022-7bit
;; End:
